//----------------------------------------
//
// Copyright © yanghy. All Rights Reserved.
//
// Licensed under Apache License Version 2.0, January 2004
//
// https://www.apache.org/licenses/LICENSE-2.0
//
//----------------------------------------

// cef -> energy 导入函数定义

package def

import (
	"github.com/energye/energy/v2/common/imports"
	"github.com/energye/golcl/lcl/api/dllimports"
)

// init
//	导入函数定义数组列表
func init() {
	var energyImportDefs = []*dllimports.ImportTable{
		//null nil
		dllimports.NewEnergyImport("", 0),
		// TForm
		dllimports.NewEnergyImport("Form_SetOnMessagesEvent", 0),
		//CEF
		dllimports.NewEnergyImport("CEF_Win_CreateRectRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_SetRectRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_DeleteObject", 0),
		dllimports.NewEnergyImport("CEF_Win_CombineRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_SetDraggableRegions", 0),
		dllimports.NewEnergyImport("CEF_Win_PtInRegion", 0),
		dllimports.NewEnergyImport("CEF_Win_ScreenToClient", 0),
		dllimports.NewEnergyImport("CEF_Win_ClientToScreen", 0),
		dllimports.NewEnergyImport("CEF_Win_DefWindowProc", 0),
		dllimports.NewEnergyImport("CEF_Win_DefSubclassProc", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateRoundRectRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_SetCursor", 0),
		dllimports.NewEnergyImport("CEF_Win_LoadCursor", 0),
		dllimports.NewEnergyImport("CEF_Win_OnPaint", 0),
		dllimports.NewEnergyImport("CEF_Win_EndPaint", 0),
		dllimports.NewEnergyImport("CEF_Win_BeginPaint", 0),
		dllimports.NewEnergyImport("CEF_Win_Arc", 0),
		dllimports.NewEnergyImport("CEF_Win_AngleChord", 0),
		dllimports.NewEnergyImport("CEF_Win_CallNextHookEx", 0),
		dllimports.NewEnergyImport("CEF_Win_CallWindowProc", 0),
		dllimports.NewEnergyImport("CEF_Win_BitBlt", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateBitmap", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateBrushIndirect", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateBrushWithRadialGradient", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateCaret", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateCompatibleBitmap", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateCompatibleDC", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateDIBitmap", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateDIBSection", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateEllipticRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateFontIndirect", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateFontIndirectEx", 0),
		dllimports.NewEnergyImport("CEF_Win_CreateIconIndirect", 0),
		dllimports.NewEnergyImport("CEF_Win_CreatePalette", 0),
		dllimports.NewEnergyImport("CEF_Win_CreatePatternBrush", 0),
		dllimports.NewEnergyImport("CEF_Win_CreatePenIndirect", 0),
		dllimports.NewEnergyImport("CEF_Win_CreatePolygonRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_DeleteCriticalSection", 0),
		dllimports.NewEnergyImport("CEF_Win_DeleteDC", 0),
		dllimports.NewEnergyImport("CEF_Win_DestroyCaret", 0),
		dllimports.NewEnergyImport("CEF_Win_DestroyCursor", 0),
		dllimports.NewEnergyImport("CEF_Win_DestroyIcon", 0),
		dllimports.NewEnergyImport("CEF_Win_DrawFrameControl", 0),
		dllimports.NewEnergyImport("CEF_Win_DrawFocusRect", 0),
		dllimports.NewEnergyImport("CEF_Win_DrawEdge", 0),
		dllimports.NewEnergyImport("CEF_Win_DrawText", 0),
		dllimports.NewEnergyImport("CEF_Win_EnableScrollBar", 0),
		dllimports.NewEnergyImport("CEF_Win_EnableWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_EnterCriticalSection", 0),
		dllimports.NewEnergyImport("CEF_Win_EnumDisplayMonitors", 0),             // no impl
		dllimports.NewEnergyImport("CEF_Win_EnumFontFamilies", 0),                // no impl
		dllimports.NewEnergyImport("CEF_Win_EnumFontFamiliesEx", 0),              // no impl
		dllimports.NewEnergyImport("CEF_Win_EnumDisplayMonitorsCallbackFree", 0), // no impl
		dllimports.NewEnergyImport("CEF_Win_EnumFontFamiliesCallbackFree", 0),    // no impl
		dllimports.NewEnergyImport("CEF_Win_EnumFontFamiliesExCallbackFree", 0),  // no impl
		dllimports.NewEnergyImport("CEF_Win_Ellipse", 0),
		dllimports.NewEnergyImport("CEF_Win_EqualRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_ExcludeClipRect", 0),
		dllimports.NewEnergyImport("CEF_Win_ExtCreatePen", 0),
		dllimports.NewEnergyImport("CEF_Win_ExtTextOut", 0),
		dllimports.NewEnergyImport("CEF_Win_ExtSelectClipRGN", 0),
		dllimports.NewEnergyImport("CEF_Win_FillRect", 0),
		dllimports.NewEnergyImport("CEF_Win_FillRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_FloodFill", 0),
		dllimports.NewEnergyImport("CEF_Win_FrameRect", 0),
		dllimports.NewEnergyImport("CEF_Win_GetActiveWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_GetBitmapBits", 0),
		dllimports.NewEnergyImport("CEF_Win_GetBkColor", 0),
		dllimports.NewEnergyImport("CEF_Win_GetCapture", 0),
		dllimports.NewEnergyImport("CEF_Win_GetCaretPos", 0),
		dllimports.NewEnergyImport("CEF_Win_GetClientRect", 0),
		dllimports.NewEnergyImport("CEF_Win_GetClipBox", 0),
		dllimports.NewEnergyImport("CEF_Win_GetClipRGN", 0),
		dllimports.NewEnergyImport("CEF_Win_GetCurrentObject", 0),
		dllimports.NewEnergyImport("CEF_Win_GetCursorPos", 0),
		dllimports.NewEnergyImport("CEF_Win_GetDC", 0),
		dllimports.NewEnergyImport("CEF_Win_GetDeviceCaps", 0),
		dllimports.NewEnergyImport("CEF_Win_GetDIBits", 0),
		dllimports.NewEnergyImport("CEF_Win_GetDoubleClickTime", 0),
		dllimports.NewEnergyImport("CEF_Win_GetFocus", 0),
		dllimports.NewEnergyImport("CEF_Win_GetFontLanguageInfo", 0),
		dllimports.NewEnergyImport("CEF_Win_GetForegroundWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_GetIconInfo", 0),
		dllimports.NewEnergyImport("CEF_Win_GetKeyState", 0),
		dllimports.NewEnergyImport("CEF_Win_GetMapMode", 0),
		dllimports.NewEnergyImport("CEF_Win_GetMonitorInfo", 0),
		dllimports.NewEnergyImport("CEF_Win_GetDpiForMonitor", 0),
		dllimports.NewEnergyImport("CEF_Win_GetObject", 0),
		dllimports.NewEnergyImport("CEF_Win_GetParent", 0),
		dllimports.NewEnergyImport("CEF_Win_GetProp", 0),
		dllimports.NewEnergyImport("CEF_Win_GetRgnBox", 0),
		dllimports.NewEnergyImport("CEF_Win_GetROP2", 0),
		dllimports.NewEnergyImport("CEF_Win_GetScrollInfo", 0),
		dllimports.NewEnergyImport("CEF_Win_GetStockObject", 0),
		dllimports.NewEnergyImport("CEF_Win_GetSysColor", 0),
		dllimports.NewEnergyImport("CEF_Win_GetSysColorBrush", 0),
		dllimports.NewEnergyImport("CEF_Win_GetSystemMetrics", 0),
		dllimports.NewEnergyImport("CEF_Win_GetTextColor", 0),
		dllimports.NewEnergyImport("CEF_Win_GetTextExtentExPoint", 0),
		dllimports.NewEnergyImport("CEF_Win_GetTextExtentPoint", 0),
		dllimports.NewEnergyImport("CEF_Win_GetTextExtentPoint32", 0),
		dllimports.NewEnergyImport("CEF_Win_GetTextMetrics", 0),
		dllimports.NewEnergyImport("CEF_Win_GetViewPortExtEx", 0),
		dllimports.NewEnergyImport("CEF_Win_GetViewPortOrgEx", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowExtEx", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowLong", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowRect", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowSize", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowOrgEx", 0),
		dllimports.NewEnergyImport("CEF_Win_GradientFill", 0),
		dllimports.NewEnergyImport("CEF_Win_HideCaret", 0),
		dllimports.NewEnergyImport("CEF_Win_InitializeCriticalSection", 0),
		dllimports.NewEnergyImport("CEF_Win_IntersectClipRect", 0),
		dllimports.NewEnergyImport("CEF_Win_InvalidateRect", 0),
		dllimports.NewEnergyImport("CEF_Win_InvalidateRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_IsDBCSLeadByte", 0),
		dllimports.NewEnergyImport("CEF_Win_IsIconic", 0),
		dllimports.NewEnergyImport("CEF_Win_IsWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_IsWindowEnabled", 0),
		dllimports.NewEnergyImport("CEF_Win_IsWindowVisible", 0),
		dllimports.NewEnergyImport("CEF_Win_IsZoomed", 0),
		dllimports.NewEnergyImport("CEF_Win_LeaveCriticalSection", 0),
		dllimports.NewEnergyImport("CEF_Win_LineTo", 0),
		dllimports.NewEnergyImport("CEF_Win_LoadBitmap", 0),
		dllimports.NewEnergyImport("CEF_Win_LoadIcon", 0),
		dllimports.NewEnergyImport("CEF_Win_MaskBltRop", 0),
		dllimports.NewEnergyImport("CEF_Win_MaskBlt", 0),
		dllimports.NewEnergyImport("CEF_Win_MessageBox", 0),
		dllimports.NewEnergyImport("CEF_Win_MonitorFromPoint", 0),
		dllimports.NewEnergyImport("CEF_Win_MonitorFromRect", 0),
		dllimports.NewEnergyImport("CEF_Win_MonitorFromWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_MoveToEx", 0),
		dllimports.NewEnergyImport("CEF_Win_OffsetRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_PaintRgn", 0),
		dllimports.NewEnergyImport("CEF_Win_Pie", 0),
		dllimports.NewEnergyImport("CEF_Win_PolyBezier", 0),
		dllimports.NewEnergyImport("CEF_Win_Polygon", 0),
		dllimports.NewEnergyImport("CEF_Win_Polyline", 0),
		dllimports.NewEnergyImport("CEF_Win_PostMessage", 0),
		dllimports.NewEnergyImport("CEF_Win_RealizePalette", 0),
		dllimports.NewEnergyImport("CEF_Win_Rectangle", 0),
		dllimports.NewEnergyImport("CEF_Win_RectInRegion", 0),
		dllimports.NewEnergyImport("CEF_Win_RectVisible", 0),
		dllimports.NewEnergyImport("CEF_Win_RedrawWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_ReleaseCapture", 0),
		dllimports.NewEnergyImport("CEF_Win_ReleaseDC", 0),
		dllimports.NewEnergyImport("CEF_Win_RemoveProp", 0),
		dllimports.NewEnergyImport("CEF_Win_RestoreDC", 0),
		dllimports.NewEnergyImport("CEF_Win_RoundRect", 0),
		dllimports.NewEnergyImport("CEF_Win_SaveDC", 0),
		dllimports.NewEnergyImport("CEF_Win_ScrollWindowEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SelectClipRGN", 0),
		dllimports.NewEnergyImport("CEF_Win_SelectObject", 0),
		dllimports.NewEnergyImport("CEF_Win_SelectPalette", 0),
		dllimports.NewEnergyImport("CEF_Win_SendMessage", 0),
		dllimports.NewEnergyImport("CEF_Win_SetActiveWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_SetBkColor", 0),
		dllimports.NewEnergyImport("CEF_Win_SetBkMode", 0),
		dllimports.NewEnergyImport("CEF_Win_SetCapture", 0),
		dllimports.NewEnergyImport("CEF_Win_SetCaretPos", 0),
		dllimports.NewEnergyImport("CEF_Win_SetCaretPosEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SetCursorPos", 0),
		dllimports.NewEnergyImport("CEF_Win_SetFocus", 0),
		dllimports.NewEnergyImport("CEF_Win_SetForegroundWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_SetMapMode", 0),
		dllimports.NewEnergyImport("CEF_Win_SetMenu", 0),
		dllimports.NewEnergyImport("CEF_Win_SetParent", 0),
		dllimports.NewEnergyImport("CEF_Win_SetProp", 0),
		dllimports.NewEnergyImport("CEF_Win_SetROP2", 0),
		dllimports.NewEnergyImport("CEF_Win_SetScrollInfo", 0),
		dllimports.NewEnergyImport("CEF_Win_SetStretchBltMode", 0),
		dllimports.NewEnergyImport("CEF_Win_SetTextCharacterExtra", 0),
		dllimports.NewEnergyImport("CEF_Win_SetTextColor", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowLong", 0),
		dllimports.NewEnergyImport("CEF_Win_SetViewPortExtEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SetViewPortOrgEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowExtEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowOrgEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowPos", 0),
		dllimports.NewEnergyImport("CEF_Win_ShowCaret", 0),
		dllimports.NewEnergyImport("CEF_Win_ShowScrollBar", 0),
		dllimports.NewEnergyImport("CEF_Win_ShowWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_StretchBlt", 0),
		dllimports.NewEnergyImport("CEF_Win_StretchDIBits", 0),
		dllimports.NewEnergyImport("CEF_Win_SystemParametersInfo", 0),
		dllimports.NewEnergyImport("CEF_Win_TextOut", 0),
		dllimports.NewEnergyImport("CEF_Win_UpdateWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_WindowFromPoint", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowLongPtr", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowLongPtr", 0),
		dllimports.NewEnergyImport("CEF_Win_GetClassLongPtr", 0),
		dllimports.NewEnergyImport("CEF_Win_SetClassLongPtr", 0),
		dllimports.NewEnergyImport("CEF_Win_FindWindow", 0),
		dllimports.NewEnergyImport("CEF_Win_FindWindowEx", 0),
		dllimports.NewEnergyImport("CEF_Win_SetWindowText", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowText", 0),
		dllimports.NewEnergyImport("CEF_Win_GetWindowTextLength", 0),
		//TCEFBaseRefCountedRef
		dllimports.NewEnergyImport("CefBaseRefCounted_Wrap", 0),
		dllimports.NewEnergyImport("CefBaseRefCounted_Free", 0),
		//ApplicationQueueAsyncCallFunc
		dllimports.NewEnergyImport("SetApplicationQueueAsyncCallFunc", 0),
		dllimports.NewEnergyImport("CEFApplication_QueueAsyncCall", 0),
		dllimports.NewEnergyImport("SetCEFWindowBindCallbackFunc", 0),
		dllimports.NewEnergyImport("SetCEFIPCCallbackFunc", 0),
		//ICefCallback
		dllimports.NewEnergyImport("cefCallback_Cont", 0),
		dllimports.NewEnergyImport("cefCallback_Cancel", 0),
		//process
		dllimports.NewEnergyImport("CEF_AddCrDelegate", 0),
		dllimports.NewEnergyImport("SetMacOSXCommandLine", 0),
		dllimports.NewEnergyImport("CEFStartMainProcess", 0),
		dllimports.NewEnergyImport("CEFStartSubProcess", 0),
		dllimports.NewEnergyImport("AddCustomCommandLine", 0),
		// CEFWorkScheduler
		dllimports.NewEnergyImport("CEFWorkScheduler_StopScheduler", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_Create", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_CreateDelayed", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_CreateThread", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_Destroy", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_GetPriority", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_SetPriority", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_GetDefaultInterval", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_GetDepleteWorkCycles", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_GetDepleteWorkDelay", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_GetUseQueueThread", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_SetDefaultInterval", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_SetDepleteWorkCycles", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_SetDepleteWorkDelay", 0),
		dllimports.NewEnergyImport("CEFWorkScheduler_SetUseQueueThread", 0),
		//application
		dllimports.NewEnergyImport("CEFApplication_DoMessageLoopWork", 0),
		dllimports.NewEnergyImport("CEFApplication_RunMessageLoop", 0),
		dllimports.NewEnergyImport("CEFApplication_QuitMessageLoop", 0),
		dllimports.NewEnergyImport("CEFApplication_Create", 0),
		dllimports.NewEnergyImport("CEFApplication_Destroy", 0),
		dllimports.NewEnergyImport("CEFApplication_Free", 0),
		//application - event
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnRegCustomSchemes", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnRegisterCustomPreferences", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnContextInitialized", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnBeforeChildProcessLaunch", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnGetDefaultClient", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnGetLocalizedString", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnGetDataResource", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnGetDataResourceForScale", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnWebKitInitialized", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnBrowserCreated", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnBrowserDestroyed", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnContextCreated", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnContextReleased", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnUncaughtException", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnFocusedNodeChanged", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnProcessMessageReceived", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnRenderLoadingStateChange", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnRenderLoadStart", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnRenderLoadEnd", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnRenderLoadError", 0),
		dllimports.NewEnergyImport("CEFGlobalApp_SetOnScheduleMessagePumpWork", 0),
		// 设置 TCefSettings (cef_settings_t) 属性,
		dllimports.NewEnergyImport("CEFAppConfig_NoSandbox", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetNoSandbox", 0),
		dllimports.NewEnergyImport("CEFAppConfig_BrowserSubprocessPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetBrowserSubprocessPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_FrameworkDirPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetFrameworkDirPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MainBundlePath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMainBundlePath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeRuntime", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetChromeRuntime", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MultiThreadedMessageLoop", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMultiThreadedMessageLoop", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ExternalMessagePump", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetExternalMessagePump", 0),
		dllimports.NewEnergyImport("CEFAppConfig_WindowlessRenderingEnabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetWindowlessRenderingEnabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_CommandLineArgsDisabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetCommandLineArgsDisabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_Cache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_RootCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetRootCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UserDataPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetUserDataPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_PersistSessionCookies", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetPersistSessionCookies", 0),
		dllimports.NewEnergyImport("CEFAppConfig_PersistUserPreferences", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetPersistUserPreferences", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UserAgent", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetUserAgent", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UserAgentProduct", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetUserAgentProduct", 0),
		dllimports.NewEnergyImport("CEFAppConfig_Locale", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetLocale", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LogFile", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetLogFile", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LogSeverity", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetLogSeverity", 0),
		dllimports.NewEnergyImport("CEFAppConfig_JavaScriptFlags", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetJavaScriptFlags", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ResourcesDirPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetResourcesDirPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LocalesDirPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetLocalesDirPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_PackLoadingDisabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetPackLoadingDisabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_RemoteDebuggingPort", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetRemoteDebuggingPort", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UncaughtExceptionStackSize", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetUncaughtExceptionStackSize", 0),
		dllimports.NewEnergyImport("CEFAppConfig_IgnoreCertificateErrors", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetIgnoreCertificateErrors", 0),
		dllimports.NewEnergyImport("CEFAppConfig_BackgroundColor", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetBackgroundColor", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AcceptLanguageList", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetAcceptLanguageList", 0),
		dllimports.NewEnergyImport("CEFAppConfig_CookieableSchemesList", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetCookieableSchemesList", 0),
		dllimports.NewEnergyImport("CEFAppConfig_CookieableSchemesExcludeDefaults", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetCookieableSchemesExcludeDefaults", 0),
		// 设置常用的命令行参数属性
		dllimports.NewEnergyImport("CEFAppConfig_SingleProcess", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetSingleProcess", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableMediaStream", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableMediaStream", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableSpeechInput", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableSpeechInput", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UseFakeUIForMediaStream", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetUseFakeUIForMediaStream", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableUsermediaScreenCapturing", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableUsermediaScreenCapturing", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableGPU", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableGPU", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableBlinkFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableBlinkFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableBlinkFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableBlinkFeatures", 0),
		dllimports.NewEnergyImport("CEFAppConfig_BlinkSettings", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetBlinkSettings", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ForceFieldTrials", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetForceFieldTrials", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ForceFieldTrialParams", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetForceFieldTrialParams", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SmoothScrolling", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetSmoothScrolling", 0),
		dllimports.NewEnergyImport("CEFAppConfig_FastUnload", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetFastUnload", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableSafeBrowsing", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableSafeBrowsing", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MuteAudio", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMuteAudio", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SitePerProcess", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetSitePerProcess", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableWebSecurity", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableWebSecurity", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisablePDFExtension", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisablePDFExtension", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableSiteIsolationTrials", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableSiteIsolationTrials", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableChromeLoginPrompt", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableChromeLoginPrompt", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableExtensions", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableExtensions", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AutoplayPolicy", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetAutoplayPolicy", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableBackgroundNetworking", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableBackgroundNetworking", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MetricsRecordingOnly", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMetricsRecordingOnly", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AllowFileAccessFromFiles", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetAllowFileAccessFromFiles", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AllowRunningInsecureContent", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetAllowRunningInsecureContent", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnablePrintPreview", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnablePrintPreview", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DefaultEncoding", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDefaultEncoding", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableJavascript", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableJavascript", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableJavascriptCloseWindows", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableJavascriptCloseWindows", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableJavascriptAccessClipboard", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableJavascriptAccessClipboard", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableJavascriptDomPaste", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableJavascriptDomPaste", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AllowUniversalAccessFromFileUrls", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetAllowUniversalAccessFromFileUrls", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableImageLoading", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableImageLoading", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ImageShrinkStandaloneToFit", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetImageShrinkStandaloneToFit", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableTextAreaResize", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableTextAreaResize", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableTabToLinks", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableTabToLinks", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableProfanityFilter", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableProfanityFilter", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableSpellChecking", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableSpellChecking", 0),
		dllimports.NewEnergyImport("CEFAppConfig_OverrideSpellCheckLang", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetOverrideSpellCheckLang", 0),
		dllimports.NewEnergyImport("CEFAppConfig_TouchEvents", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetTouchEvents", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableReadingFromCanvas", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableReadingFromCanvas", 0),
		dllimports.NewEnergyImport("CEFAppConfig_HyperlinkAuditing", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetHyperlinkAuditing", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableNewBrowserInfoTimeout", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableNewBrowserInfoTimeout", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DevToolsProtocolLogFile", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDevToolsProtocolLogFile", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ForcedDeviceScaleFactor", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetForcedDeviceScaleFactor", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableZygote", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableZygote", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UseMockKeyChain", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetUseMockKeyChain", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableRequestHandlingForTesting", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableRequestHandlingForTesting", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisablePopupBlocking", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisablePopupBlocking", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableBackForwardCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableBackForwardCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DisableComponentUpdate", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDisableComponentUpdate", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AllowInsecureLocalhost", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetAllowInsecureLocalhost", 0),
		dllimports.NewEnergyImport("CEFAppConfig_KioskPrinting", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetKioskPrinting", 0),
		dllimports.NewEnergyImport("CEFAppConfig_TreatInsecureOriginAsSecure", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetTreatInsecureOriginAsSecure", 0),
		dllimports.NewEnergyImport("CEFAppConfig_NetLogEnabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetNetLogEnabled", 0),
		dllimports.NewEnergyImport("CEFAppConfig_NetLogFile", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetNetLogFile", 0),
		dllimports.NewEnergyImport("CEFAppConfig_NetLogCaptureMode", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetNetLogCaptureMode", 0),
		dllimports.NewEnergyImport("CEFAppConfig_EnableHighDPISupport", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetEnableHighDPISupport", 0),
		// 自定义属性
		dllimports.NewEnergyImport("CEFAppConfig_DeleteCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DeleteCookies", 0),
		dllimports.NewEnergyImport("CEFAppConfig_CheckCEFFiles", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ShowMessageDlg", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MissingBinariesException", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetCurrentDir", 0),
		dllimports.NewEnergyImport("CEFAppConfig_GlobalContextInitialized", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeMajorVer", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeMinorVer", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeRelease", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeBuild", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeVersion", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LibCefVersion", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LibCefPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChromeElfPath", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LibLoaded", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LogProcessInfo", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ReRaiseExceptions", 0),
		dllimports.NewEnergyImport("CEFAppConfig_DeviceScaleFactor", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LocalesRequired", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ProcessType", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MustCreateResourceBundleHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MustCreateBrowserProcessHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MustCreateRenderProcessHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MustCreateLoadHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_Status", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MissingLibFiles", 0),
		dllimports.NewEnergyImport("CEFAppConfig_MustFreeLibrary", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ChildProcessesCount", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UsedMemory", 0),
		dllimports.NewEnergyImport("CEFAppConfig_TotalSystemMemory", 0),
		dllimports.NewEnergyImport("CEFAppConfig_AvailableSystemMemory", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SystemMemoryLoad", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ApiHashUniversal", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ApiHashPlatform", 0),
		dllimports.NewEnergyImport("CEFAppConfig_ApiHashCommit", 0),
		dllimports.NewEnergyImport("CEFAppConfig_LastErrorMessage", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDeleteCache", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetDeleteCookies", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetCheckCEFFiles", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetShowMessageDlg", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMissingBinariesException", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetSetCurrentDir", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetLogProcessInfo", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetReRaiseExceptions", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetLocalesRequired", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMustCreateResourceBundleHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMustCreateBrowserProcessHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMustCreateRenderProcessHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMustCreateLoadHandler", 0),
		dllimports.NewEnergyImport("CEFAppConfig_SetMustFreeLibrary", 0),
		dllimports.NewEnergyImport("CEFAppConfig_UpdateDeviceScaleFactor", 0),
		//CEFParentWindow
		dllimports.NewEnergyImport("CEFWindow_Create", 0),
		dllimports.NewEnergyImport("CEFWindow_GetHandle", 0),
		dllimports.NewEnergyImport("CEFWindow_DestroyChildWindow", 0),
		dllimports.NewEnergyImport("CEFWindow_HandleAllocated", 0),
		dllimports.NewEnergyImport("CEFWindow_CreateHandle", 0),
		dllimports.NewEnergyImport("CEFWindow_Free", 0),
		dllimports.NewEnergyImport("CEFWindow_SetParent", 0),
		dllimports.NewEnergyImport("CEFWindow_GetAlign", 0),
		dllimports.NewEnergyImport("CEFWindow_SetAlign", 0),
		dllimports.NewEnergyImport("CEFWindow_GetAnchors", 0),
		dllimports.NewEnergyImport("CEFWindow_SetAnchors", 0),
		dllimports.NewEnergyImport("CEFWindow_GetVisible", 0),
		dllimports.NewEnergyImport("CEFWindow_SetVisible", 0),
		dllimports.NewEnergyImport("CEFWindow_GetEnabled", 0),
		dllimports.NewEnergyImport("CEFWindow_SetEnabled", 0),
		dllimports.NewEnergyImport("CEFWindow_GetLeft", 0),
		dllimports.NewEnergyImport("CEFWindow_SetLeft", 0),
		dllimports.NewEnergyImport("CEFWindow_GetTop", 0),
		dllimports.NewEnergyImport("CEFWindow_SetTop", 0),
		dllimports.NewEnergyImport("CEFWindow_GetWidth", 0),
		dllimports.NewEnergyImport("CEFWindow_SetWidth", 0),
		dllimports.NewEnergyImport("CEFWindow_GetHeight", 0),
		dllimports.NewEnergyImport("CEFWindow_SetHeight", 0),
		dllimports.NewEnergyImport("CEFWindow_GetBoundsRect", 0),
		dllimports.NewEnergyImport("CEFWindow_SetBoundsRect", 0),
		dllimports.NewEnergyImport("CEFWindow_GetName", 0),
		dllimports.NewEnergyImport("CEFWindow_SetName", 0),
		dllimports.NewEnergyImport("CEFWindow_UpdateSize", 0),
		dllimports.NewEnergyImport("CEFWindow_OnEnter", 0),
		dllimports.NewEnergyImport("CEFWindow_OnExit", 0),
		dllimports.NewEnergyImport("CEFWindow_SetTag", 0),
		dllimports.NewEnergyImport("CEFWindow_GetTag", 0),
		dllimports.NewEnergyImport("CEFWindow_SetFocus", 0),
		dllimports.NewEnergyImport("CEFWindow_CanFocus", 0),
		//CEFLinkedParentWindow
		dllimports.NewEnergyImport("CEFLinkedWindow_Create", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetHandle", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_DestroyChildWindow", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_HandleAllocated", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_CreateHandle", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_Free", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetParent", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetAlign", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetAlign", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetAnchors", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetAnchors", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetVisible", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetVisible", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetEnabled", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetEnabled", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetLeft", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetLeft", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetTop", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetTop", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetWidth", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetWidth", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetHeight", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetHeight", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetBoundsRect", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetBoundsRect", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetName", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetName", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_UpdateSize", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_OnEnter", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_OnExit", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetChromium", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetTag", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_GetTag", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_SetFocus", 0),
		dllimports.NewEnergyImport("CEFLinkedWindow_CanFocus", 0),
		//ICefBrowser
		dllimports.NewEnergyImport("CEFBrowser_ShowDevTools", 0),
		dllimports.NewEnergyImport("CEFBrowser_CloseDevTools", 0),
		dllimports.NewEnergyImport("CEFBrowser_HasView", 0),
		dllimports.NewEnergyImport("CEFBrowser_HasDevTools", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetIdentifier", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetFocusedFrame", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetMainFrame", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetFrameById", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetFrameByName", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetHostWindowHandle", 0),
		dllimports.NewEnergyImport("CEFBrowser_CloseBrowser", 0),
		dllimports.NewEnergyImport("CEFBrowser_TryCloseBrowser", 0),
		dllimports.NewEnergyImport("CEFBrowser_SetFocus", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetZoomLevel", 0),
		dllimports.NewEnergyImport("CEFBrowser_SetZoomLevel", 0),
		dllimports.NewEnergyImport("CEFBrowser_RunFileDialog", 0),
		dllimports.NewEnergyImport("CEFBrowser_StartDownload", 0),
		dllimports.NewEnergyImport("CEFBrowser_DownloadImage", 0),
		dllimports.NewEnergyImport("CEFBrowser_Print", 0),
		dllimports.NewEnergyImport("CEFBrowser_PrintToPdf", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendDevToolsMessage", 0),
		dllimports.NewEnergyImport("CEFBrowser_ExecuteDevToolsMethod", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendKeyEvent", 0),
		dllimports.NewEnergyImport("CEFBrowser_SetAudioMuted", 0),
		dllimports.NewEnergyImport("CEFBrowser_IsAudioMuted", 0),
		dllimports.NewEnergyImport("CEFBrowser_SetAutoResizeEnabled", 0),
		dllimports.NewEnergyImport("CEFBrowser_SetAccessibilityState", 0),
		dllimports.NewEnergyImport("CEFBrowser_NotifyMoveOrResizeStarted", 0),
		dllimports.NewEnergyImport("CEFBrowser_NotifyScreenInfoChanged", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendCaptureLostEvent", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendTouchEvent", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendMouseWheelEvent", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendMouseMoveEvent", 0),
		dllimports.NewEnergyImport("CEFBrowser_SendMouseClickEvent", 0),
		dllimports.NewEnergyImport("CEFBrowser_CanGoBack", 0),
		dllimports.NewEnergyImport("CEFBrowser_GoBack", 0),
		dllimports.NewEnergyImport("CEFBrowser_CanGoForward", 0),
		dllimports.NewEnergyImport("CEFBrowser_GoForward", 0),
		dllimports.NewEnergyImport("CEFBrowser_IsLoading", 0),
		dllimports.NewEnergyImport("CEFBrowser_Reload", 0),
		dllimports.NewEnergyImport("CEFBrowser_ReloadIgnoreCache", 0),
		dllimports.NewEnergyImport("CEFBrowser_StopLoad", 0),
		dllimports.NewEnergyImport("CEFBrowser_FrameCount", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetFrameNames", 0),
		dllimports.NewEnergyImport("CEFBrowser_Find", 0),
		dllimports.NewEnergyImport("CEFBrowser_StopFinding", 0),
		dllimports.NewEnergyImport("CEFBrowser_GetRequestContext", 0),
		dllimports.NewEnergyImport("CEFBrowserRef_UnWrap", 0),
		// ICefRequestContext
		dllimports.NewEnergyImport("RequestContextRef_Global", 0),
		dllimports.NewEnergyImport("RequestContextRef_New", 0),
		dllimports.NewEnergyImport("RequestContextRef_NewTwo", 0),
		dllimports.NewEnergyImport("RequestContextRef_Shared", 0),
		dllimports.NewEnergyImport("RequestContext_HasPreference", 0),
		dllimports.NewEnergyImport("RequestContext_GetPreference", 0),
		dllimports.NewEnergyImport("RequestContext_GetAllPreferences", 0),
		dllimports.NewEnergyImport("RequestContext_CanSetPreference", 0),
		dllimports.NewEnergyImport("RequestContext_SetPreference", 0),
		dllimports.NewEnergyImport("RequestContext_IsSame", 0),
		dllimports.NewEnergyImport("RequestContext_IsSharingWith", 0),
		dllimports.NewEnergyImport("RequestContext_IsGlobal", 0),
		dllimports.NewEnergyImport("RequestContext_GetHandler", 0),
		dllimports.NewEnergyImport("RequestContext_GetCachePath", 0),
		dllimports.NewEnergyImport("RequestContext_GetCookieManager", 0),
		dllimports.NewEnergyImport("RequestContext_RegisterSchemeHandlerFactory", 0),
		dllimports.NewEnergyImport("RequestContext_ClearSchemeHandlerFactories", 0),
		dllimports.NewEnergyImport("RequestContext_ClearCertificateExceptions", 0),
		dllimports.NewEnergyImport("RequestContext_ClearHttpAuthCredentials", 0),
		dllimports.NewEnergyImport("RequestContext_CloseAllConnections", 0),
		dllimports.NewEnergyImport("RequestContext_ResolveHost", 0),
		dllimports.NewEnergyImport("RequestContext_LoadExtension", 0),
		dllimports.NewEnergyImport("RequestContext_DidLoadExtension", 0),
		dllimports.NewEnergyImport("RequestContext_HasExtension", 0),
		dllimports.NewEnergyImport("RequestContext_GetExtensions", 0),
		dllimports.NewEnergyImport("RequestContext_GetExtension", 0),
		dllimports.NewEnergyImport("RequestContext_GetMediaRouter", 0),
		//TCEFChromium - event
		dllimports.NewEnergyImport("CEFChromium_SetOnAfterCreated", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforeClose", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnClose", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPdfPrintFinished", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnZoomPctAvailable", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnLoadStart", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnLoadingStateChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnLoadingProgressChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnLoadError", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnLoadEnd", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforeDownload", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDownloadUpdated", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFullScreenModeChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforeBrowse", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAddressChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnKeyEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnTitleChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRenderCompMsg", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnWidgetCompMsg", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBrowserCompMsg", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRenderProcessTerminated", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRenderViewReady", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnScrollOffsetChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnProcessMessageReceived", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFindResult", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCookieSet", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCookiesDeleted", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCookiesFlushed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCookiesVisited", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCookieVisitorDestroyed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforeContextMenu", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnContextMenuCommand", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnContextMenuDismissed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforeResourceLoad", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnResourceResponse", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnResourceRedirect", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnResourceLoadComplete", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFrameAttached", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFrameCreated", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFrameDetached", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnMainFrameChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforePopup", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnOpenUrlFromTab", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDragEnter", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDraggableRegionsChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetAuthCredentials", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionBeforeBackgroundBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionBeforeBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionCanAccessBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionGetActiveBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionGetExtensionResource", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionLoaded", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionLoadFailed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExtensionUnloaded", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAcceleratedPaint", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAllConnectionsClosed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAudioStreamError", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAudioStreamPacket", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAudioStreamStarted", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAudioStreamStopped", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnAutoResize", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnBeforeUnloadDialog", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCanDownload", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCanSaveCookie", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCanSendCookie", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCertificateError", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCertificateExceptionsCleared", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnChromeCommand", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnConsoleMessage", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnCursorChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsAgentAttached", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsAgentDetached", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsMessage", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsMethodRawResult", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsMethodResult", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsRawEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDevToolsRawMessage", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDialogClosed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDismissPermissionPrompt", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDocumentAvailableInMainFrame", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnDownloadImageFinished", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnExecuteTaskOnCefThread", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFavIconUrlChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnFileDialog", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetAccessibilityHandler", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetAudioParameters", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetResourceHandler", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetResourceRequestHandler_ReqCtxHdlr", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetResourceRequestHandler_ReqHdlr", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetResourceResponseFilter", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetRootScreenRect", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetScreenInfo", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetScreenPoint", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetTouchHandleSize", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGetViewRect", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnGotFocus", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnHttpAuthCredentialsCleared", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnIMECompositionRangeChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnJsDialog", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnMediaAccessChange", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnMediaRouteCreateFinished", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnMediaSinkDeviceInfo", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnNavigationVisitorResultAvailable", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPaint", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPopupShow", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPopupSize", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPrefsAvailable", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPrefsUpdated", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnPreKeyEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnProtocolExecution", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnQuickMenuCommand", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnQuickMenuDismissed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRequestContextInitialized", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRequestMediaAccessPermission", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnResetDialogState", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnResolvedHostAvailable", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRouteMessageReceived", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRoutes", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRouteStateChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRunContextMenu", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnRunQuickMenu", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnSelectClientCertificate", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnSetFocus", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnShowPermissionPrompt", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnSinks", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnStartDragging", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnStatusMessage", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnTakeFocus", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnTextResultAvailable", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnTextSelectionChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnTooltip", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnTouchHandleStateChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnUpdateDragCursor", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOnVirtualKeyboardRequested", 0),
		//TCEFChromium - proc
		dllimports.NewEnergyImport("CEFChromium_Free", 0),
		dllimports.NewEnergyImport("CEFChromium_GetHashCode", 0),
		dllimports.NewEnergyImport("CEFChromium_ClassName", 0),
		dllimports.NewEnergyImport("CEFChromium_Equals", 0),
		dllimports.NewEnergyImport("CEFChromium_ClassType", 0),
		dllimports.NewEnergyImport("CEFChromium_InstanceSize", 0),
		dllimports.NewEnergyImport("CEFChromium_InheritsFrom", 0),
		dllimports.NewEnergyImport("CEFChromium_ToString", 0),
		dllimports.NewEnergyImport("CEFChromium_Create", 0),
		dllimports.NewEnergyImport("CEFChromium_Browser", 0),
		dllimports.NewEnergyImport("CEFChromium_BrowserById", 0),
		dllimports.NewEnergyImport("CEFChromium_BrowserIdByIndex", 0),
		dllimports.NewEnergyImport("CEFChromium_BrowserCount", 0),
		dllimports.NewEnergyImport("CEFChromium_BrowserId", 0),
		dllimports.NewEnergyImport("CEFChromium_SetDefaultURL", 0),
		dllimports.NewEnergyImport("CEFChromium_SetMultiBrowserMode", 0),
		dllimports.NewEnergyImport("CEFChromium_LoadURL", 0),
		dllimports.NewEnergyImport("CEFChromium_LoadString", 0),
		dllimports.NewEnergyImport("CEFChromium_StartDownload", 0),
		dllimports.NewEnergyImport("CEFChromium_DownloadImage", 0),
		dllimports.NewEnergyImport("CEFChromium_Reload", 0),
		dllimports.NewEnergyImport("CEFChromium_ReloadIgnoreCache", 0),
		dllimports.NewEnergyImport("CEFChromium_StopLoad", 0),
		dllimports.NewEnergyImport("CEFChromium_ResetZoomLevel", 0),
		dllimports.NewEnergyImport("CEFChromium_CloseAllBrowsers", 0),
		dllimports.NewEnergyImport("CEFChromium_CreateBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_CreateBrowserByWindow", 0),
		dllimports.NewEnergyImport("CEFChromium_CreateBrowserByLinkedWindow", 0),
		dllimports.NewEnergyImport("CEFChromium_CreateBrowserByBrowserViewComponent", 0),
		dllimports.NewEnergyImport("CEFChromium_Initialized", 0),
		dllimports.NewEnergyImport("CEFChromium_IsSameBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_PrintToPDF", 0),
		dllimports.NewEnergyImport("CEFChromium_Print", 0),
		dllimports.NewEnergyImport("CEFChromium_BrowserZoom", 0),
		dllimports.NewEnergyImport("CEFChromium_GoBackForward", 0),
		dllimports.NewEnergyImport("CEFChromium_NotifyMoveOrResizeStarted", 0),
		dllimports.NewEnergyImport("CEFChromium_Invalidate", 0),
		dllimports.NewEnergyImport("CEFChromium_CloseBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_ExecuteJavaScript", 0),
		dllimports.NewEnergyImport("CEFChromium_ShowDevTools", 0),
		dllimports.NewEnergyImport("CEFChromium_ShowDevToolsByWindowParent", 0),
		dllimports.NewEnergyImport("CEFChromium_CloseDevTools", 0),
		dllimports.NewEnergyImport("CEFChromium_CloseDevToolsByWindowParent", 0),
		dllimports.NewEnergyImport("CEFChromium_VisitAllCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_VisitURLCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_DeleteCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_SetCookie", 0),
		dllimports.NewEnergyImport("CEFChromium_FlushCookieStore", 0),
		dllimports.NewEnergyImport("CEFChromium_SetProxy", 0),
		dllimports.NewEnergyImport("CEFChromium_UpdatePreferences", 0),
		dllimports.NewEnergyImport("CEFChromium_ExecuteDevToolsMethod", 0),
		dllimports.NewEnergyImport("CEFChromium_CreateClientHandler", 0),
		dllimports.NewEnergyImport("CEFChromium_SetFocus", 0),
		dllimports.NewEnergyImport("CEFChromium_SendExternalBeginFrame", 0),
		dllimports.NewEnergyImport("CEFChromium_SendKeyEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SendMouseClickEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SendMouseMoveEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SendMouseWheelEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SendTouchEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_SendCaptureLostEvent", 0),
		dllimports.NewEnergyImport("CEFChromium_FrameIsFocused", 0),
		dllimports.NewEnergyImport("CEFChromium_TryCloseBrowser", 0),
		dllimports.NewEnergyImport("CEFChromium_BrowserHandle", 0),
		dllimports.NewEnergyImport("CEFChromium_WidgetHandle", 0),
		dllimports.NewEnergyImport("CEFChromium_RenderHandle", 0),
		dllimports.NewEnergyImport("CEFChromium_SetCustomHeader", 0), //
		dllimports.NewEnergyImport("CEFChromium_GetCustomHeader", 0),
		dllimports.NewEnergyImport("CEFChromium_SetJavascriptEnabled", 0),
		dllimports.NewEnergyImport("CEFChromium_GetJavascriptEnabled", 0),
		dllimports.NewEnergyImport("CEFChromium_SetWebRTCIPHandlingPolicy", 0),
		dllimports.NewEnergyImport("CEFChromium_GetWebRTCIPHandlingPolicy", 0),
		dllimports.NewEnergyImport("CEFChromium_SetWebRTCMultipleRoutes", 0),
		dllimports.NewEnergyImport("CEFChromium_GetWebRTCMultipleRoutes", 0),
		dllimports.NewEnergyImport("CEFChromium_SetWebRTCNonproxiedUDP", 0),
		dllimports.NewEnergyImport("CEFChromium_GetWebRTCNonproxiedUDP", 0),
		dllimports.NewEnergyImport("CEFChromium_SetBatterySaverModeState", 0),
		dllimports.NewEnergyImport("CEFChromium_GetBatterySaverModeState", 0),
		dllimports.NewEnergyImport("CEFChromium_SetHighEfficiencyMode", 0),
		dllimports.NewEnergyImport("CEFChromium_GetHighEfficiencyMode", 0),
		dllimports.NewEnergyImport("CEFChromium_SetLoadImagesAutomatically", 0),
		dllimports.NewEnergyImport("CEFChromium_GetLoadImagesAutomatically", 0),
		dllimports.NewEnergyImport("CEFChromium_SetQuicAllowed", 0),
		dllimports.NewEnergyImport("CEFChromium_GetQuicAllowed", 0),
		dllimports.NewEnergyImport("CEFChromium_SetOffline", 0),
		dllimports.NewEnergyImport("CEFChromium_GetOffline", 0),
		dllimports.NewEnergyImport("CEFChromium_SetDefaultWindowInfoExStyle", 0),
		dllimports.NewEnergyImport("CEFChromium_GetDefaultWindowInfoExStyle", 0),
		dllimports.NewEnergyImport("CEFChromium_SetBlock3rdPartyCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_GetBlock3rdPartyCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_SetAcceptCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_GetAcceptCookies", 0),
		dllimports.NewEnergyImport("CEFChromium_SetAcceptLanguageList", 0),
		dllimports.NewEnergyImport("CEFChromium_GetAcceptLanguageList", 0),
		dllimports.NewEnergyImport("CEFChromium_SetPrintingEnabled", 0),
		dllimports.NewEnergyImport("CEFChromium_GetPrintingEnabled", 0),
		dllimports.NewEnergyImport("CEFChromium_SetYouTubeRestrict", 0),
		dllimports.NewEnergyImport("CEFChromium_GetYouTubeRestrict", 0),
		dllimports.NewEnergyImport("CEFChromium_SetSafeSearch", 0),
		dllimports.NewEnergyImport("CEFChromium_GetSafeSearch", 0),
		dllimports.NewEnergyImport("CEFChromium_SetAudioMuted", 0),
		dllimports.NewEnergyImport("CEFChromium_GetAudioMuted", 0),
		dllimports.NewEnergyImport("CEFChromium_SetDragOperations", 0),
		dllimports.NewEnergyImport("CEFChromium_GetDragOperations", 0),
		dllimports.NewEnergyImport("CEFChromium_GetFrameCount", 0),
		dllimports.NewEnergyImport("CEFChromium_SetSpellCheckerDicts", 0),
		dllimports.NewEnergyImport("CEFChromium_GetSpellCheckerDicts", 0),
		dllimports.NewEnergyImport("CEFChromium_SetSpellChecking", 0),
		dllimports.NewEnergyImport("CEFChromium_GetSpellChecking", 0),
		dllimports.NewEnergyImport("CEFChromium_SetAlwaysOpenPDFExternally", 0),
		dllimports.NewEnergyImport("CEFChromium_GetAlwaysOpenPDFExternally", 0),
		dllimports.NewEnergyImport("CEFChromium_SetAlwaysAuthorizePlugins", 0),
		dllimports.NewEnergyImport("CEFChromium_GetAlwaysAuthorizePlugins", 0),
		dllimports.NewEnergyImport("CEFChromium_SetAllowOutdatedPlugins", 0),
		dllimports.NewEnergyImport("CEFChromium_GetAllowOutdatedPlugins", 0),
		dllimports.NewEnergyImport("CEFChromium_SetSendReferrer", 0),
		dllimports.NewEnergyImport("CEFChromium_GetSendReferrer", 0),
		dllimports.NewEnergyImport("CEFChromium_SetDoNotTrack", 0),
		dllimports.NewEnergyImport("CEFChromium_GetDoNotTrack", 0),
		dllimports.NewEnergyImport("CEFChromium_SetZoomStep", 0),
		dllimports.NewEnergyImport("CEFChromium_GetZoomStep", 0),
		dllimports.NewEnergyImport("CEFChromium_SetZoomPct", 0),
		dllimports.NewEnergyImport("CEFChromium_GetZoomPct", 0),
		dllimports.NewEnergyImport("CEFChromium_SetZoomLevel", 0),
		dllimports.NewEnergyImport("CEFChromium_GetZoomLevel", 0),
		dllimports.NewEnergyImport("CEFChromium_SetDefaultEncoding", 0),
		dllimports.NewEnergyImport("CEFChromium_GetDefaultEncoding", 0),
		dllimports.NewEnergyImport("CEFChromium_SendProcessMessage", 0),
		dllimports.NewEnergyImport("CEFChromium_SendProcessMessageForJSONBytes", 0),
		dllimports.NewEnergyImport("CEFChromium_CefClient", 0),
		dllimports.NewEnergyImport("CEFChromium_SendProcessMessageForV8Value", 0),
		dllimports.NewEnergyImport("CEFChromium_SimulateMouseWheel", 0),
		dllimports.NewEnergyImport("CEFChromium_CloseAllConnections", 0),
		dllimports.NewEnergyImport("CEFChromium_RetrieveHTMLByFrameName", 0),
		dllimports.NewEnergyImport("CEFChromium_RetrieveHTMLByFrame", 0),
		dllimports.NewEnergyImport("CEFChromium_RetrieveHTMLByFrameIdentifier", 0),
		dllimports.NewEnergyImport("CEFChromium_RetrieveTextByFrameName", 0),
		dllimports.NewEnergyImport("CEFChromium_RetrieveTextByFrame", 0),
		dllimports.NewEnergyImport("CEFChromium_RetrieveTextByFrameIdentifier", 0),
		dllimports.NewEnergyImport("CEFChromium_ResolveHost", 0),
		dllimports.NewEnergyImport("CEFChromium_SetUserAgentOverride", 0),
		dllimports.NewEnergyImport("CEFChromium_ClearDataForOrigin", 0),
		dllimports.NewEnergyImport("CEFChromium_ClearCache", 0),
		dllimports.NewEnergyImport("CEFChromium_ToggleAudioMuted", 0),
		dllimports.NewEnergyImport("CEFChromium_ClipboardCopy", 0),
		dllimports.NewEnergyImport("CEFChromium_ClipboardPaste", 0),
		dllimports.NewEnergyImport("CEFChromium_ClipboardCut", 0),
		dllimports.NewEnergyImport("CEFChromium_ClipboardUndo", 0),
		dllimports.NewEnergyImport("CEFChromium_ClipboardRedo", 0),
		dllimports.NewEnergyImport("CEFChromium_ClipboardDel", 0),
		dllimports.NewEnergyImport("CEFChromium_SelectAll", 0),
		dllimports.NewEnergyImport("CEFChromium_IncZoomStep", 0),
		dllimports.NewEnergyImport("CEFChromium_DecZoomStep", 0),
		dllimports.NewEnergyImport("CEFChromium_IncZoomPct", 0),
		dllimports.NewEnergyImport("CEFChromium_DecZoomPct", 0),
		dllimports.NewEnergyImport("CEFChromium_ResetZoomStep", 0),
		dllimports.NewEnergyImport("CEFChromium_ResetZoomPct", 0),
		dllimports.NewEnergyImport("CEFChromium_ReadZoom", 0),
		dllimports.NewEnergyImport("CEFChromium_WasResized", 0),
		dllimports.NewEnergyImport("CEFChromium_WasHidden", 0),
		dllimports.NewEnergyImport("CEFChromium_NotifyScreenInfoChanged", 0),
		dllimports.NewEnergyImport("CEFChromium_IMESetComposition", 0),
		dllimports.NewEnergyImport("CEFChromium_IMECommitText", 0),
		dllimports.NewEnergyImport("CEFChromium_IMEFinishComposingText", 0),
		dllimports.NewEnergyImport("CEFChromium_IMECancelComposition", 0),
		dllimports.NewEnergyImport("CEFChromium_HasDevTools", 0),
		dllimports.NewEnergyImport("CEFChromium_InitializeDragAndDrop", 0),
		// ChromiumOptions
		dllimports.NewEnergyImport("ChromiumOptions_SetJavascript", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetJavascriptCloseWindows", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetJavascriptAccessClipboard", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetJavascriptDomPaste", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetImageLoading", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetImageShrinkStandaloneToFit", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetTextAreaResize", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetTabToLinks", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetLocalStorage", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetDatabases", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetWebgl", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetBackgroundColor", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetAcceptLanguageList", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetWindowlessFrameRate", 0),
		dllimports.NewEnergyImport("ChromiumOptions_SetChromeStatusBubble", 0),
		//ICefFrame
		dllimports.NewEnergyImport("CEFFrame_Undo", 0),
		dllimports.NewEnergyImport("CEFFrame_Redo", 0),
		dllimports.NewEnergyImport("CEFFrame_Cut", 0),
		dllimports.NewEnergyImport("CEFFrame_Copy", 0),
		dllimports.NewEnergyImport("CEFFrame_Paste", 0),
		dllimports.NewEnergyImport("CEFFrame_Del", 0),
		dllimports.NewEnergyImport("CEFFrame_SelectAll", 0),
		dllimports.NewEnergyImport("CEFFrame_ViewSource", 0),
		dllimports.NewEnergyImport("CEFFrame_LoadUrl", 0),
		dllimports.NewEnergyImport("CEFFrame_ExecuteJavaScript", 0),
		dllimports.NewEnergyImport("CEFFrame_IsValid", 0),
		dllimports.NewEnergyImport("CEFFrame_IsMain", 0),
		dllimports.NewEnergyImport("CEFFrame_IsFocused", 0),
		dllimports.NewEnergyImport("CEFFrame_SendProcessMessage", 0),
		dllimports.NewEnergyImport("CEFFrame_SendProcessMessageForJSONBytes", 0),
		dllimports.NewEnergyImport("CEFFrame_SendProcessMessageForV8Value", 0),
		dllimports.NewEnergyImport("CEFFrame_LoadRequest", 0),
		dllimports.NewEnergyImport("CEFFrame_Browser", 0),
		dllimports.NewEnergyImport("CEFFrame_GetV8Context", 0),
		dllimports.NewEnergyImport("CEFFrame_VisitDom", 0),
		dllimports.NewEnergyImport("CEFFrame_Identifier", 0),
		dllimports.NewEnergyImport("CEFFrame_Name", 0),
		dllimports.NewEnergyImport("CEFFrame_Url", 0),
		dllimports.NewEnergyImport("CEFFrame_Parent", 0),
		dllimports.NewEnergyImport("CEFFrameRef_UnWrap", 0),
		//ICefMenuModel
		dllimports.NewEnergyImport("CefMenuModelRef_New", 0),
		dllimports.NewEnergyImport("CefMenuModel_AddSeparator", 0),
		dllimports.NewEnergyImport("CefMenuModel_Clear", 0),
		dllimports.NewEnergyImport("CefMenuModel_IsSubMenu", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetCount", 0),
		dllimports.NewEnergyImport("CefMenuModel_AddItem", 0),
		dllimports.NewEnergyImport("CefMenuModel_AddCheckItem", 0),
		dllimports.NewEnergyImport("CefMenuModel_AddRadioItem", 0),
		dllimports.NewEnergyImport("CefMenuModel_AddSubMenu", 0),
		dllimports.NewEnergyImport("CefMenuModel_Remove", 0),
		dllimports.NewEnergyImport("CefMenuModel_RemoveAt", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetChecked", 0),
		dllimports.NewEnergyImport("CefMenuModel_IsChecked", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetColor", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetFontList", 0),
		dllimports.NewEnergyImport("CefMenuModel_HasAccelerator", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetAccelerator", 0),
		dllimports.NewEnergyImport("CefMenuModel_RemoveAccelerator", 0),
		dllimports.NewEnergyImport("CefMenuModel_IsVisible", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetVisible", 0),
		dllimports.NewEnergyImport("CefMenuModel_IsEnabled", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetEnabled", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetLabel", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetIndexOf", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetType", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetLabel", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetGroupId", 0),
		dllimports.NewEnergyImport("CefMenuModel_SetGroupId", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetSubMenu", 0),
		dllimports.NewEnergyImport("CefMenuModel_GetColor", 0),
		// ICefMenuModelDelegate
		dllimports.NewEnergyImport("MenuModelDelegateRef_Create", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_ExecuteCommand", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_MouseOutsideMenu", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_UnhandledOpenSubmenu", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_UnhandledCloseSubmenu", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_MenuWillShow", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_MenuClosed", 0),
		dllimports.NewEnergyImport("MenuModelDelegate_FormatLabel", 0),
		// Misc CEFWindowInfo
		dllimports.NewEnergyImport("Misc_WindowInfoAsChild", 0),
		dllimports.NewEnergyImport("Misc_WindowInfoAsPopUp", 0),
		dllimports.NewEnergyImport("Misc_WindowInfoAsWindowless", 0),
		dllimports.NewEnergyImport("Misc_CefRegisterExtension", 0),
		dllimports.NewEnergyImport("Misc_CheckSubprocessPath", 0),
		dllimports.NewEnergyImport("Misc_CheckLocales", 0),
		dllimports.NewEnergyImport("Misc_CheckResources", 0),
		dllimports.NewEnergyImport("Misc_CheckDLLs", 0),
		dllimports.NewEnergyImport("Misc_CefRegisterSchemeHandlerFactory", 0),
		dllimports.NewEnergyImport("Misc_CefClearSchemeHandlerFactories", 0),
		dllimports.NewEnergyImport("Misc_CefGetMimeType", 0),
		dllimports.NewEnergyImport("Misc_DeviceToLogicalInt32", 0),
		dllimports.NewEnergyImport("Misc_DeviceToLogicalFloat32", 0),
		dllimports.NewEnergyImport("Misc_DeviceToLogicalMouse", 0),
		dllimports.NewEnergyImport("Misc_DeviceToLogicalTouch", 0),
		dllimports.NewEnergyImport("Misc_DeviceToLogicalPoint", 0),
		dllimports.NewEnergyImport("Misc_LogicalToDeviceInt32", 0),
		dllimports.NewEnergyImport("Misc_LogicalToDeviceRect", 0),
		//ICefRequest
		dllimports.NewEnergyImport("CefRequestRef_New", 0),
		dllimports.NewEnergyImport("CefRequestRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefRequest_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefRequest_GetUrl", 0),
		dllimports.NewEnergyImport("CefRequest_SetUrl", 0),
		dllimports.NewEnergyImport("CefRequest_GetMethod", 0),
		dllimports.NewEnergyImport("CefRequest_SetMethod", 0),
		dllimports.NewEnergyImport("CefRequest_GetReferrerUrl", 0),
		dllimports.NewEnergyImport("CefRequest_SetReferrer", 0),
		dllimports.NewEnergyImport("CefRequest_GetReferrerPolicy", 0),
		dllimports.NewEnergyImport("CefRequest_GetFlags", 0),
		dllimports.NewEnergyImport("CefRequest_SetFlags", 0),
		dllimports.NewEnergyImport("CefRequest_GetFirstPartyForCookies", 0),
		dllimports.NewEnergyImport("CefRequest_SetFirstPartyForCookies", 0),
		dllimports.NewEnergyImport("CefRequest_GetHeaderByName", 0),
		dllimports.NewEnergyImport("CefRequest_SetHeaderByName", 0),
		dllimports.NewEnergyImport("CefRequest_GetHeaderMap", 0),
		dllimports.NewEnergyImport("CefRequest_SetHeaderMap", 0),
		dllimports.NewEnergyImport("CefRequest_GetPostData", 0),
		dllimports.NewEnergyImport("CefRequest_SetPostData", 0),
		dllimports.NewEnergyImport("CefRequest_GetResourceType", 0),
		dllimports.NewEnergyImport("CefRequest_GetTransitionType", 0),
		dllimports.NewEnergyImport("CefRequest_GetIdentifier", 0),
		//ICefResponse
		dllimports.NewEnergyImport("CefResponseRef_New", 0),
		dllimports.NewEnergyImport("CefResponseRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefResponse_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefResponse_GetError", 0),
		dllimports.NewEnergyImport("CefResponse_SetError", 0),
		dllimports.NewEnergyImport("CefResponse_GetStatus", 0),
		dllimports.NewEnergyImport("CefResponse_SetStatus", 0),
		dllimports.NewEnergyImport("CefResponse_GetStatusText", 0),
		dllimports.NewEnergyImport("CefResponse_SetStatusText", 0),
		dllimports.NewEnergyImport("CefResponse_GetMimeType", 0),
		dllimports.NewEnergyImport("CefResponse_SetMimeType", 0),
		dllimports.NewEnergyImport("CefResponse_GetCharset", 0),
		dllimports.NewEnergyImport("CefResponse_SetCharset", 0),
		dllimports.NewEnergyImport("CefResponse_GetHeaderByName", 0),
		dllimports.NewEnergyImport("CefResponse_SetHeaderByName", 0),
		dllimports.NewEnergyImport("CefResponse_GetURL", 0),
		dllimports.NewEnergyImport("CefResponse_SetURL", 0),
		dllimports.NewEnergyImport("CefResponse_GetHeaderMap", 0),
		dllimports.NewEnergyImport("CefResponse_SetHeaderMap", 0),
		//ICefStringMultiMap
		dllimports.NewEnergyImport("StringMultimapRef_Create", 0),
		dllimports.NewEnergyImport("StringMultimap_GetSize", 0),
		dllimports.NewEnergyImport("StringMultimap_FindCount", 0),
		dllimports.NewEnergyImport("StringMultimap_GetEnumerate", 0),
		dllimports.NewEnergyImport("StringMultimap_GetKey", 0),
		dllimports.NewEnergyImport("StringMultimap_GetValue", 0),
		dllimports.NewEnergyImport("StringMultimap_Append", 0),
		dllimports.NewEnergyImport("StringMultimap_Clear", 0),
		//ICefImage
		dllimports.NewEnergyImport("CEFImage_New", 0),
		dllimports.NewEnergyImport("CEFImage_AddPng", 0),
		dllimports.NewEnergyImport("CEFImage_AddJpeg", 0),
		dllimports.NewEnergyImport("CEFImage_GetWidth", 0),
		dllimports.NewEnergyImport("CEFImage_GetHeight", 0),
		//TCEFWindowComponent
		dllimports.NewEnergyImport("CEFWindowComponent_Create", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_CreateTopLevelWindow", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Show", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Hide", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_CenterWindow", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Close", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Activate", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Deactivate", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_BringToTop", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Maximize", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Minimize", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Restore", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_AddOverlayView", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_ShowMenu", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_CancelMenu", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetDraggableRegions", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SendKeyPress", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SendMouseMove", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SendMouseEvents", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetAccelerator", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_RemoveAccelerator", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_RemoveAllAccelerators", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetAlwaysOnTop", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetFullscreen", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetBackgroundColor", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Bounds", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Size", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Position", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetBounds", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetSize", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetPosition", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetTitle", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Title", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_WindowIcon", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetWindowIcon", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_WindowAppIcon", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetWindowAppIcon", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_Display", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_ClientAreaBoundsInScreen", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_WindowHandle", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_IsClosed", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_IsActive", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_IsAlwaysOnTop", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_IsFullscreen", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_IsMaximized", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_IsMinimized", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_AddChildView", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnWindowCreated", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnWindowDestroyed", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnWindowActivationChanged", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnGetParentWindow", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnGetInitialBounds", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnGetInitialShowState", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnIsFrameless", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnCanResize", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnCanMaximize", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnCanMinimize", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnCanClose", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnAccelerator", 0),
		dllimports.NewEnergyImport("CEFWindowComponent_SetOnKeyEvent", 0),
		//TCEFBrowserViewComponent
		dllimports.NewEnergyImport("CEFBrowserViewComponent_Create", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_CreateBrowserView", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_GetForBrowser", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_SetPreferAccelerators", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_RequestFocus", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_Browser", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_BrowserView", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_SetOnBrowserCreated", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_SetOnBrowserDestroyed", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_SetOnGetDelegateForPopupBrowserView", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_SetOnPopupBrowserViewCreated", 0),
		dllimports.NewEnergyImport("CEFBrowserViewComponent_SetOnGetChromeToolbarType", 0),
		//ICefDisplay
		dllimports.NewEnergyImport("CEFDisplayRef_Primary", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_NearestPoint", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_MatchingBounds", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_GetCount", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_GetAlls", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_Get", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_ScreenPointToPixels", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_ScreenPointFromPixels", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_ScreenRectToPixels", 0),
		dllimports.NewEnergyImport("CEFDisplayRef_ScreenRectFromPixels", 0),
		dllimports.NewEnergyImport("CEFDisplay_ID", 0),
		dllimports.NewEnergyImport("CEFDisplay_DeviceScaleFactor", 0),
		dllimports.NewEnergyImport("CEFDisplay_Rotation", 0),
		dllimports.NewEnergyImport("CEFDisplay_Bounds", 0),
		dllimports.NewEnergyImport("CEFDisplay_WorkArea", 0),
		//ICefWindow
		dllimports.NewEnergyImport("ICEFWindowRef_CreateTopLevel", 0),
		dllimports.NewEnergyImport("ICEFWindow_Show", 0),
		dllimports.NewEnergyImport("ICEFWindow_Hide", 0),
		dllimports.NewEnergyImport("ICEFWindow_CenterWindow", 0),
		dllimports.NewEnergyImport("ICEFWindow_Close", 0),
		dllimports.NewEnergyImport("ICEFWindow_IsClosed", 0),
		dllimports.NewEnergyImport("ICEFWindow_Activate", 0),
		dllimports.NewEnergyImport("ICEFWindow_Deactivate", 0),
		dllimports.NewEnergyImport("ICEFWindow_IsActive", 0),
		dllimports.NewEnergyImport("ICEFWindow_BringToTop", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetAlwaysOnTop", 0),
		dllimports.NewEnergyImport("ICEFWindow_IsAlwaysOnTop", 0),
		dllimports.NewEnergyImport("ICEFWindow_Maximize", 0),
		dllimports.NewEnergyImport("ICEFWindow_Minimize", 0),
		dllimports.NewEnergyImport("ICEFWindow_Restore", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetFullscreen", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetBackgroundColor", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetBounds", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetSize", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetPosition", 0),
		dllimports.NewEnergyImport("ICEFWindow_IsMaximized", 0),
		dllimports.NewEnergyImport("ICEFWindow_IsMinimized", 0),
		dllimports.NewEnergyImport("ICEFWindow_IsFullscreen", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetTitle", 0),
		dllimports.NewEnergyImport("ICEFWindow_GetTitle", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetWindowIcon", 0),
		dllimports.NewEnergyImport("ICEFWindow_GetWindowIcon", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetWindowAppIcon", 0),
		dllimports.NewEnergyImport("ICEFWindow_GetWindowAppIcon", 0),
		dllimports.NewEnergyImport("ICEFWindow_AddOverlayView", 0),
		dllimports.NewEnergyImport("ICEFWindow_ShowMenu", 0),
		dllimports.NewEnergyImport("ICEFWindow_CancelMenu", 0),
		dllimports.NewEnergyImport("ICEFWindow_GetDisplay", 0),
		dllimports.NewEnergyImport("ICEFWindow_GetClientAreaBoundsInScreen", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetDraggableRegions", 0),
		dllimports.NewEnergyImport("ICEFWindow_GetWindowHandle", 0),
		dllimports.NewEnergyImport("ICEFWindow_SendKeyPress", 0),
		dllimports.NewEnergyImport("ICEFWindow_SendMouseMove", 0),
		dllimports.NewEnergyImport("ICEFWindow_SendMouseEvents", 0),
		dllimports.NewEnergyImport("ICEFWindow_SetAccelerator", 0),
		dllimports.NewEnergyImport("ICEFWindow_RemoveAccelerator", 0),
		dllimports.NewEnergyImport("ICEFWindow_RemoveAllAccelerators", 0),
		//ICefV8Value
		dllimports.NewEnergyImport("CefV8Value_IsValid", 0),
		dllimports.NewEnergyImport("CefV8Value_IsUndefined", 0),
		dllimports.NewEnergyImport("CefV8Value_IsNull", 0),
		dllimports.NewEnergyImport("CefV8Value_IsBool", 0),
		dllimports.NewEnergyImport("CefV8Value_IsInt", 0),
		dllimports.NewEnergyImport("CefV8Value_IsUInt", 0),
		dllimports.NewEnergyImport("CefV8Value_IsDouble", 0),
		dllimports.NewEnergyImport("CefV8Value_IsDate", 0),
		dllimports.NewEnergyImport("CefV8Value_IsString", 0),
		dllimports.NewEnergyImport("CefV8Value_IsObject", 0),
		dllimports.NewEnergyImport("CefV8Value_IsArray", 0),
		dllimports.NewEnergyImport("CefV8Value_IsArrayBuffer", 0),
		dllimports.NewEnergyImport("CefV8Value_IsFunction", 0),
		dllimports.NewEnergyImport("CefV8Value_IsPromise", 0),
		dllimports.NewEnergyImport("CefV8Value_IsSame", 0),
		dllimports.NewEnergyImport("CefV8Value_GetBoolValue", 0),
		dllimports.NewEnergyImport("CefV8Value_GetIntValue", 0),
		dllimports.NewEnergyImport("CefV8Value_GetUIntValue", 0),
		dllimports.NewEnergyImport("CefV8Value_GetDoubleValue", 0),
		dllimports.NewEnergyImport("CefV8Value_GetDateValue", 0),
		dllimports.NewEnergyImport("CefV8Value_GetStringValue", 0),
		dllimports.NewEnergyImport("CefV8Value_IsUserCreated", 0),
		dllimports.NewEnergyImport("CefV8Value_HasException", 0),
		dllimports.NewEnergyImport("CefV8Value_GetException", 0),
		dllimports.NewEnergyImport("CefV8Value_ClearException", 0),
		dllimports.NewEnergyImport("CefV8Value_WillRethrowExceptions", 0),
		dllimports.NewEnergyImport("CefV8Value_SetRethrowExceptions", 0),
		dllimports.NewEnergyImport("CefV8Value_HasValueByKey", 0),
		dllimports.NewEnergyImport("CefV8Value_HasValueByIndex", 0),
		dllimports.NewEnergyImport("CefV8Value_DeleteValueByKey", 0),
		dllimports.NewEnergyImport("CefV8Value_DeleteValueByIndex", 0),
		dllimports.NewEnergyImport("CefV8Value_GetValueByKey", 0),
		dllimports.NewEnergyImport("CefV8Value_GetValueByIndex", 0),
		dllimports.NewEnergyImport("CefV8Value_SetValueByKey", 0),
		dllimports.NewEnergyImport("CefV8Value_SetValueByIndex", 0),
		dllimports.NewEnergyImport("CefV8Value_SetValueByAccessor", 0),
		dllimports.NewEnergyImport("CefV8Value_GetKeys", 0),
		dllimports.NewEnergyImport("CefV8Value_SetUserData", 0),
		dllimports.NewEnergyImport("CefV8Value_GetUserData", 0),
		dllimports.NewEnergyImport("CefV8Value_GetExternallyAllocatedMemory", 0),
		dllimports.NewEnergyImport("CefV8Value_AdjustExternallyAllocatedMemory", 0),
		dllimports.NewEnergyImport("CefV8Value_GetArrayLength", 0),
		dllimports.NewEnergyImport("CefV8Value_GetArrayBufferReleaseCallback", 0),
		dllimports.NewEnergyImport("CefV8Value_NeuterArrayBuffer", 0),
		dllimports.NewEnergyImport("CefV8Value_GetFunctionName", 0),
		dllimports.NewEnergyImport("CefV8Value_GetFunctionHandler", 0),
		dllimports.NewEnergyImport("CefV8Value_ExecuteFunction", 0),
		dllimports.NewEnergyImport("CefV8Value_ExecuteFunctionWithContext", 0),
		dllimports.NewEnergyImport("CefV8Value_ExecuteFunctionWithContextForArgsBytes", 0),
		dllimports.NewEnergyImport("CefV8Value_ResolvePromise", 0),
		dllimports.NewEnergyImport("CefV8Value_RejectPromise", 0),
		dllimports.NewEnergyImport("CefV8Value_Free", 0),
		//TCefV8ValueRef
		dllimports.NewEnergyImport("CefV8ValueRef_NewUndefined", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewNull", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewBool", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewInt", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewUInt", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewDouble", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewDate", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewString", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewObject", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewArray", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewArrayBuffer", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewFunction", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_NewPromise", 0),
		dllimports.NewEnergyImport("CefV8ValueRef_UnWrap", 0),
		//ICefV8Accessor
		dllimports.NewEnergyImport("CefV8Accessor_Create", 0),
		dllimports.NewEnergyImport("CefV8Accessor_Get", 0),
		dllimports.NewEnergyImport("CefV8Accessor_Set", 0),
		dllimports.NewEnergyImport("CefV8Accessor_Destroy", 0),
		//ICefV8Handler
		dllimports.NewEnergyImport("CefV8Handler_Create", 0),
		dllimports.NewEnergyImport("CefV8Handler_Execute", 0),
		dllimports.NewEnergyImport("CefV8Handler_Destroy", 0),
		//ICefV8Interceptor
		dllimports.NewEnergyImport("CefV8InterceptorRef_Create", 0),
		dllimports.NewEnergyImport("CefV8Interceptor_GetByName", 0),
		dllimports.NewEnergyImport("CefV8Interceptor_GetByIndex", 0),
		dllimports.NewEnergyImport("CefV8Interceptor_SetByName", 0),
		dllimports.NewEnergyImport("CefV8Interceptor_SetByIndex", 0),
		dllimports.NewEnergyImport("CefV8Interceptor_Destroy", 0),
		//ICefV8Context
		dllimports.NewEnergyImport("CefV8Context_Eval", 0),
		dllimports.NewEnergyImport("CefV8Context_Enter", 0),
		dllimports.NewEnergyImport("CefV8Context_Exit", 0),
		dllimports.NewEnergyImport("CefV8Context_IsSame", 0),
		dllimports.NewEnergyImport("CefV8Context_Browser", 0),
		dllimports.NewEnergyImport("CefV8Context_Frame", 0),
		dllimports.NewEnergyImport("CefV8Context_Global", 0),
		dllimports.NewEnergyImport("CefV8ContextRef_Current", 0),
		dllimports.NewEnergyImport("CefV8ContextRef_Entered", 0),
		dllimports.NewEnergyImport("CefV8ContextRef_UnWrap", 0),
		//ICefV8Exception
		dllimports.NewEnergyImport("CefV8Exception_Message", 0),
		dllimports.NewEnergyImport("CefV8Exception_SourceLine", 0),
		dllimports.NewEnergyImport("CefV8Exception_ScriptResourceName", 0),
		dllimports.NewEnergyImport("CefV8Exception_LineNumber", 0),
		dllimports.NewEnergyImport("CefV8Exception_StartPosition", 0),
		dllimports.NewEnergyImport("CefV8Exception_EndPosition", 0),
		dllimports.NewEnergyImport("CefV8Exception_StartColumn", 0),
		dllimports.NewEnergyImport("CefV8Exception_EndColumn", 0),
		//ICefV8ArrayBufferReleaseCallback
		dllimports.NewEnergyImport("CefV8ArrayBufferReleaseCallback_Create", 0),
		dllimports.NewEnergyImport("CefV8ArrayBufferReleaseCallback_ReleaseBuffer", 0),
		//ICefProcessMessage
		dllimports.NewEnergyImport("CefProcessMessageRef_New", 0),
		dllimports.NewEnergyImport("CefProcessMessageRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefProcessMessage_ArgumentList", 0),
		dllimports.NewEnergyImport("CefProcessMessage_IsValid", 0),
		dllimports.NewEnergyImport("CefProcessMessage_Copy", 0),
		dllimports.NewEnergyImport("CefProcessMessage_Name", 0),
		//ICefListValue
		dllimports.NewEnergyImport("CefListValueRef_New", 0),
		dllimports.NewEnergyImport("CefListValueRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefListValue_IsValid", 0),
		dllimports.NewEnergyImport("CefListValue_IsOwned", 0),
		dllimports.NewEnergyImport("CefListValue_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefListValue_Copy", 0),
		dllimports.NewEnergyImport("CefListValue_SetSize", 0),
		dllimports.NewEnergyImport("CefListValue_GetSize", 0),
		dllimports.NewEnergyImport("CefListValue_Clear", 0),
		dllimports.NewEnergyImport("CefListValue_Remove", 0),
		dllimports.NewEnergyImport("CefListValue_GetType", 0),
		dllimports.NewEnergyImport("CefListValue_GetValue", 0),
		dllimports.NewEnergyImport("CefListValue_GetBool", 0),
		dllimports.NewEnergyImport("CefListValue_GetInt", 0),
		dllimports.NewEnergyImport("CefListValue_GetDouble", 0),
		dllimports.NewEnergyImport("CefListValue_GetString", 0),
		dllimports.NewEnergyImport("CefListValue_GetBinary", 0),
		dllimports.NewEnergyImport("CefListValue_GetDictionary", 0),
		dllimports.NewEnergyImport("CefListValue_GetList", 0),
		dllimports.NewEnergyImport("CefListValue_SetValue", 0),
		dllimports.NewEnergyImport("CefListValue_SetNull", 0),
		dllimports.NewEnergyImport("CefListValue_SetBool", 0),
		dllimports.NewEnergyImport("CefListValue_SetInt", 0),
		dllimports.NewEnergyImport("CefListValue_SetDouble", 0),
		dllimports.NewEnergyImport("CefListValue_SetString", 0),
		dllimports.NewEnergyImport("CefListValue_SetBinary", 0),
		dllimports.NewEnergyImport("CefListValue_SetDictionary", 0),
		dllimports.NewEnergyImport("CefListValue_SetList", 0),
		//ICefValue
		dllimports.NewEnergyImport("CefValueRef_New", 0),
		dllimports.NewEnergyImport("CefValueRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefValue_IsValid", 0),
		dllimports.NewEnergyImport("CefValue_IsOwned", 0),
		dllimports.NewEnergyImport("CefValue_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefValue_Copy", 0),
		dllimports.NewEnergyImport("CefValue_GetType", 0),
		dllimports.NewEnergyImport("CefValue_GetBool", 0),
		dllimports.NewEnergyImport("CefValue_GetInt", 0),
		dllimports.NewEnergyImport("CefValue_GetDouble", 0),
		dllimports.NewEnergyImport("CefValue_GetString", 0),
		dllimports.NewEnergyImport("CefValue_GetBinary", 0),
		dllimports.NewEnergyImport("CefValue_GetDictionary", 0),
		dllimports.NewEnergyImport("CefValue_GetList", 0),
		dllimports.NewEnergyImport("CefValue_SetNull", 0),
		dllimports.NewEnergyImport("CefValue_SetBool", 0),
		dllimports.NewEnergyImport("CefValue_SetInt", 0),
		dllimports.NewEnergyImport("CefValue_SetDouble", 0),
		dllimports.NewEnergyImport("CefValue_SetString", 0),
		dllimports.NewEnergyImport("CefValue_SetBinary", 0),
		dllimports.NewEnergyImport("CefValue_SetDictionary", 0),
		dllimports.NewEnergyImport("CefValue_SetList", 0),
		// TCefBinaryValueArray
		dllimports.NewEnergyImport("CefBinaryValueArray_Get", 0),
		//ICefBinaryValue
		dllimports.NewEnergyImport("CefBinaryValueRef_New", 0),
		dllimports.NewEnergyImport("CefBinaryValueRef_Create", 0),
		dllimports.NewEnergyImport("CefBinaryValueRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefBinaryValue_IsValid", 0),
		dllimports.NewEnergyImport("CefBinaryValue_IsOwned", 0),
		dllimports.NewEnergyImport("CefBinaryValue_Copy", 0),
		dllimports.NewEnergyImport("CefBinaryValue_GetSize", 0),
		dllimports.NewEnergyImport("CefBinaryValue_GetData", 0),
		//ICefDictionaryValue
		dllimports.NewEnergyImport("CefDictionaryValueRef_New", 0),
		dllimports.NewEnergyImport("CefDictionaryValueRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_IsValid", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_IsOwned", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_Copy", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetSize", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_Clear", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_HasKey", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetKeys", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_Remove", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetType", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetValue", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetBool", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetInt", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetDouble", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetString", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetBinary", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetDictionary", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_GetList", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetValue", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetNull", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetBool", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetInt", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetDouble", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetString", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetBinary", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetDictionary", 0),
		dllimports.NewEnergyImport("CefDictionaryValue_SetList", 0),
		//ICefPostData
		dllimports.NewEnergyImport("CefPostDataRef_Create", 0),
		dllimports.NewEnergyImport("CefPostDataRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefPostData_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefPostData_HasExcludedElements", 0),
		dllimports.NewEnergyImport("CefPostData_GetElementCount", 0),
		dllimports.NewEnergyImport("CefPostData_GetElements", 0),
		dllimports.NewEnergyImport("CefPostData_RemoveElement", 0),
		dllimports.NewEnergyImport("CefPostData_AddElement", 0),
		dllimports.NewEnergyImport("CefPostData_RemoveElements", 0),
		//ICefPostDataElement
		dllimports.NewEnergyImport("PostDataElementRef_Create", 0),
		dllimports.NewEnergyImport("PostDataElementRef_UnWrap", 0),
		dllimports.NewEnergyImport("PostDataElement_IsReadOnly", 0),
		dllimports.NewEnergyImport("PostDataElement_SetToEmpty", 0),
		dllimports.NewEnergyImport("PostDataElement_SetToFile", 0),
		dllimports.NewEnergyImport("PostDataElement_SetToBytes", 0),
		dllimports.NewEnergyImport("PostDataElement_GetType", 0),
		dllimports.NewEnergyImport("PostDataElement_GetFile", 0),
		dllimports.NewEnergyImport("PostDataElement_GetBytesCount", 0),
		dllimports.NewEnergyImport("PostDataElement_GetBytes", 0),
		//ICefDownloadItem
		dllimports.NewEnergyImport("CefDownloadItemRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefDownloadItem_IsValid", 0),
		dllimports.NewEnergyImport("CefDownloadItem_IsInProgress", 0),
		dllimports.NewEnergyImport("CefDownloadItem_IsComplete", 0),
		dllimports.NewEnergyImport("CefDownloadItem_IsCanceled", 0),
		dllimports.NewEnergyImport("CefDownloadItem_CurrentSpeed", 0),
		dllimports.NewEnergyImport("CefDownloadItem_PercentComplete", 0),
		dllimports.NewEnergyImport("CefDownloadItem_TotalBytes", 0),
		dllimports.NewEnergyImport("CefDownloadItem_ReceivedBytes", 0),
		dllimports.NewEnergyImport("CefDownloadItem_StartTime", 0),
		dllimports.NewEnergyImport("CefDownloadItem_EndTime", 0),
		dllimports.NewEnergyImport("CefDownloadItem_FullPath", 0),
		dllimports.NewEnergyImport("CefDownloadItem_Id", 0),
		dllimports.NewEnergyImport("CefDownloadItem_Url", 0),
		dllimports.NewEnergyImport("CefDownloadItem_OriginalUrl", 0),
		dllimports.NewEnergyImport("CefDownloadItem_SuggestedFileName", 0),
		dllimports.NewEnergyImport("CefDownloadItem_ContentDisposition", 0),
		dllimports.NewEnergyImport("CefDownloadItem_MimeType", 0),
		dllimports.NewEnergyImport("CefBeforeDownloadCallback_Cont", 0),
		dllimports.NewEnergyImport("CefDownloadItemCallback_Pause", 0),
		dllimports.NewEnergyImport("CefDownloadItemCallback_Cancel", 0),
		dllimports.NewEnergyImport("CefDownloadItemCallback_Resume", 0),
		dllimports.NewEnergyImport("CefDownloadItemCallbackRef_Pause", 0),
		//ICefBrowserView
		dllimports.NewEnergyImport("CefBrowserViewRef_Create", 0),
		dllimports.NewEnergyImport("CefBrowserViewRef_GetForBrowser", 0),
		dllimports.NewEnergyImport("CefBrowserView_Browser", 0),
		dllimports.NewEnergyImport("CefBrowserView_ChromeToolbar", 0),
		dllimports.NewEnergyImport("CefBrowserView_SetPreferAccelerators", 0),
		//ICefPdfPrintCallback
		dllimports.NewEnergyImport("CefPdfPrintCallback_Create", 0),
		dllimports.NewEnergyImport("CefPdfPrintCallback_OnPdfPrintFinished", 0),
		//ICefCommandLine
		dllimports.NewEnergyImport("CefCommandLineRef_New", 0),
		dllimports.NewEnergyImport("CefCommandLineRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefCommandLineRef_Global", 0),
		dllimports.NewEnergyImport("CefCommandLine_IsValid", 0),
		dllimports.NewEnergyImport("CefCommandLine_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefCommandLine_Copy", 0),
		dllimports.NewEnergyImport("CefCommandLine_InitFromArgv", 0),
		dllimports.NewEnergyImport("CefCommandLine_InitFromString", 0),
		dllimports.NewEnergyImport("CefCommandLine_Reset", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetCommandLineString", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetArgv", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetProgram", 0),
		dllimports.NewEnergyImport("CefCommandLine_SetProgram", 0),
		dllimports.NewEnergyImport("CefCommandLine_HasSwitches", 0),
		dllimports.NewEnergyImport("CefCommandLine_HasSwitch", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetSwitchValue", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetSwitches", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetSwitchesList", 0),
		dllimports.NewEnergyImport("CefCommandLine_AppendSwitch", 0),
		dllimports.NewEnergyImport("CefCommandLine_AppendSwitchWithValue", 0),
		dllimports.NewEnergyImport("CefCommandLine_HasArguments", 0),
		dllimports.NewEnergyImport("CefCommandLine_GetArguments", 0),
		dllimports.NewEnergyImport("CefCommandLine_AppendArgument", 0),
		dllimports.NewEnergyImport("CefCommandLine_PrependWrapper", 0),
		//TValueConvert
		dllimports.NewEnergyImport("ValueConvert_BytesToProcessMessage", 0),
		dllimports.NewEnergyImport("ValueConvert_BytesToListValue", 0),
		dllimports.NewEnergyImport("ValueConvert_BytesToDictionaryValue", 0),
		dllimports.NewEnergyImport("ValueConvert_BytesToV8ValueArray", 0),
		dllimports.NewEnergyImport("ValueConvert_BytesToV8Array", 0),
		dllimports.NewEnergyImport("ValueConvert_BytesToV8Object", 0),
		// ICefAuthCallback
		dllimports.NewEnergyImport("CefAuthCallback_Cont", 0),
		dllimports.NewEnergyImport("CefAuthCallback_Cancel", 0),
		// ICefCompletionCallback
		dllimports.NewEnergyImport("CefCompletionCallbackRef_Create", 0),
		dllimports.NewEnergyImport("CefCompletionCallback_OnComplete", 0),
		// ICefExtensionHandler
		dllimports.NewEnergyImport("CefExtensionHandlerRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("CefExtensionHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_OnExtensionLoadFailed", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_OnExtensionLoaded", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_OnExtensionUnloaded", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_OnBeforeBackgroundBrowser", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_OnBeforeBrowser", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_GetActiveBrowser", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_CanAccessBrowser", 0),
		dllimports.NewEnergyImport("CefExtensionHandler_GetExtensionResource", 0),
		// ICefExtension
		dllimports.NewEnergyImport("CefExtension_GetIdentifier", 0),
		dllimports.NewEnergyImport("CefExtension_GetPath", 0),
		dllimports.NewEnergyImport("CefExtension_GetManifest", 0),
		dllimports.NewEnergyImport("CefExtension_IsSame", 0),
		dllimports.NewEnergyImport("CefExtension_GetHandler", 0),
		dllimports.NewEnergyImport("CefExtension_GetLoaderContext", 0),
		dllimports.NewEnergyImport("CefExtension_IsLoaded", 0),
		dllimports.NewEnergyImport("CefExtension_unload", 0),
		dllimports.NewEnergyImport("CefExtension_GetBrowserActionPopup", 0),
		dllimports.NewEnergyImport("CefExtension_GetBrowserActionIcon", 0),
		dllimports.NewEnergyImport("CefExtension_GetPageActionPopup", 0),
		dllimports.NewEnergyImport("CefExtension_GetPageActionIcon", 0),
		dllimports.NewEnergyImport("CefExtension_GetOptionsPage", 0),
		dllimports.NewEnergyImport("CefExtension_GetOptionsUIPage", 0),
		dllimports.NewEnergyImport("CefExtension_GetBackgroundPage", 0),
		dllimports.NewEnergyImport("CefExtension_GetURL", 0),
		// ICefGetExtensionResourceCallback
		dllimports.NewEnergyImport("CefGetExtensionResourceCallback_Cont", 0),
		dllimports.NewEnergyImport("CefGetExtensionResourceCallback_Cancel", 0),
		// ICefStreamReader
		dllimports.NewEnergyImport("CefStreamReaderRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefStreamReaderRef_CreateForFile", 0),
		dllimports.NewEnergyImport("CefStreamReaderRef_CreateForStream", 0),
		dllimports.NewEnergyImport("CefStreamReaderRef_CreateForData", 0),
		dllimports.NewEnergyImport("CefStreamReader_Read", 0),
		dllimports.NewEnergyImport("CefStreamReader_Seek", 0),
		dllimports.NewEnergyImport("CefStreamReader_Tell", 0),
		dllimports.NewEnergyImport("CefStreamReader_Eof", 0),
		dllimports.NewEnergyImport("CefStreamReader_MayBlock", 0),
		// ICefStreamWriter
		dllimports.NewEnergyImport("CefStreamWriterRef_UnWrap", 0),
		dllimports.NewEnergyImport("CefStreamWriterRef_CreateForFile", 0),
		dllimports.NewEnergyImport("CefStreamWriterRef_CreateForHandler", 0),
		dllimports.NewEnergyImport("CefStreamWriter_Write", 0),
		dllimports.NewEnergyImport("CefStreamWriter_Seek", 0),
		dllimports.NewEnergyImport("CefStreamWriter_Tell", 0),
		dllimports.NewEnergyImport("CefStreamWriter_Flush", 0),
		dllimports.NewEnergyImport("CefStreamWriter_MayBlock", 0),
		// ICefContextMenuParams
		dllimports.NewEnergyImport("ContextMenuParams_XCoord", 0),
		dllimports.NewEnergyImport("ContextMenuParams_YCoord", 0),
		dllimports.NewEnergyImport("ContextMenuParams_TypeFlags", 0),
		dllimports.NewEnergyImport("ContextMenuParams_LinkUrl", 0),
		dllimports.NewEnergyImport("ContextMenuParams_UnfilteredLinkUrl", 0),
		dllimports.NewEnergyImport("ContextMenuParams_SourceUrl", 0),
		dllimports.NewEnergyImport("ContextMenuParams_HasImageContents", 0),
		dllimports.NewEnergyImport("ContextMenuParams_TitleText", 0),
		dllimports.NewEnergyImport("ContextMenuParams_PageUrl", 0),
		dllimports.NewEnergyImport("ContextMenuParams_FrameUrl", 0),
		dllimports.NewEnergyImport("ContextMenuParams_FrameCharset", 0),
		dllimports.NewEnergyImport("ContextMenuParams_MediaType", 0),
		dllimports.NewEnergyImport("ContextMenuParams_MediaStateFlags", 0),
		dllimports.NewEnergyImport("ContextMenuParams_SelectionText", 0),
		dllimports.NewEnergyImport("ContextMenuParams_MisspelledWord", 0),
		dllimports.NewEnergyImport("ContextMenuParams_DictionarySuggestions", 0),
		dllimports.NewEnergyImport("ContextMenuParams_IsEditable", 0),
		dllimports.NewEnergyImport("ContextMenuParams_IsSpellCheckEnabled", 0),
		dllimports.NewEnergyImport("ContextMenuParams_EditStateFlags", 0),
		dllimports.NewEnergyImport("ContextMenuParams_IsCustomMenu", 0),
		// ICefClient
		dllimports.NewEnergyImport("CefClientRef_Create", 0),
		dllimports.NewEnergyImport("CefClientRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("CefClient_GetAudioHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetCommandHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetContextMenuHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetDialogHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetDisplayHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetDownloadHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetDragHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetFindHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetFocusHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetFrameHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetPermissionHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetJsdialogHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetKeyboardHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetLifeSpanHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetLoadHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetPrintHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetRenderHandler", 0),
		dllimports.NewEnergyImport("CefClient_GetRequestHandler", 0),
		dllimports.NewEnergyImport("CefClient_OnProcessMessageReceived", 0),
		dllimports.NewEnergyImport("CefClient_RemoveReferences", 0),
		// ICefAudioHandler
		dllimports.NewEnergyImport("CefAudioHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefAudioHandler_OnGetAudioParameters", 0),
		dllimports.NewEnergyImport("CefAudioHandler_OnAudioStreamStarted", 0),
		dllimports.NewEnergyImport("CefAudioHandler_OnAudioStreamPacket", 0),
		dllimports.NewEnergyImport("CefAudioHandler_OnAudioStreamStopped", 0),
		dllimports.NewEnergyImport("CefAudioHandler_OnAudioStreamError", 0),
		// ICefCommandHandler
		dllimports.NewEnergyImport("CefCommandHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefCommandHandler_OnChromeCommand", 0),
		// ICefContextMenuHandler
		dllimports.NewEnergyImport("CefContextMenuHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_OnBeforeContextMenu", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_RunContextMenu", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_OnContextMenuCommand", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_OnContextMenuDismissed", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_RunQuickMenu", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_OnQuickMenuCommand", 0),
		dllimports.NewEnergyImport("CefContextMenuHandler_OnQuickMenuDismissed", 0),
		// ICefRunContextMenuCallback
		dllimports.NewEnergyImport("RunContextMenuCallback_Cont", 0),
		dllimports.NewEnergyImport("RunContextMenuCallback_Cancel", 0),
		// ICefRunContextMenuCallback
		dllimports.NewEnergyImport("RunQuickMenuCallback_Cont", 0),
		dllimports.NewEnergyImport("RunQuickMenuCallback_Cancel", 0),
		// ICefFileDialogCallback
		dllimports.NewEnergyImport("FileDialogCallback_Cont", 0),
		dllimports.NewEnergyImport("FileDialogCallback_Cancel", 0),
		// ICefDialogHandler
		dllimports.NewEnergyImport("CefDialogHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefDialogHandler_OnFileDialog", 0),
		// ICefDisplayHandler
		dllimports.NewEnergyImport("CefDisplayHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnAddressChange", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnTitleChange", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnFaviconUrlChange", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnFullScreenModeChange", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnTooltip", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnStatusMessage", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnConsoleMessage", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnAutoResize", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnLoadingProgressChange", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnCursorChange", 0),
		dllimports.NewEnergyImport("CefDisplayHandler_OnMediaAccessChange", 0),
		// ICefDownloadHandler
		dllimports.NewEnergyImport("CefDownloadHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefDownloadHandler_CanDownload", 0),
		dllimports.NewEnergyImport("CefDownloadHandler_OnBeforeDownload", 0),
		dllimports.NewEnergyImport("CefDownloadHandler_OnDownloadUpdated", 0),
		// ICefDragHandler
		dllimports.NewEnergyImport("CefDragHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefDragHandler_OnDragEnter", 0),
		dllimports.NewEnergyImport("CefDragHandler_OnDraggableRegionsChanged", 0),
		// ICefDragData
		dllimports.NewEnergyImport("CefDragData_Clone", 0),
		dllimports.NewEnergyImport("CefDragData_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefDragData_IsLink", 0),
		dllimports.NewEnergyImport("CefDragData_IsFragment", 0),
		dllimports.NewEnergyImport("CefDragData_IsFile", 0),
		dllimports.NewEnergyImport("CefDragData_GetLinkUrl", 0),
		dllimports.NewEnergyImport("CefDragData_GetLinkTitle", 0),
		dllimports.NewEnergyImport("CefDragData_GetLinkMetadata", 0),
		dllimports.NewEnergyImport("CefDragData_GetFragmentText", 0),
		dllimports.NewEnergyImport("CefDragData_GetFragmentHtml", 0),
		dllimports.NewEnergyImport("CefDragData_GetFragmentBaseUrl", 0),
		dllimports.NewEnergyImport("CefDragData_GetFileName", 0),
		dllimports.NewEnergyImport("CefDragData_GetFileContents", 0),
		dllimports.NewEnergyImport("CefDragData_GetFileNames", 0),
		dllimports.NewEnergyImport("CefDragData_SetLinkUrl", 0),
		dllimports.NewEnergyImport("CefDragData_SetLinkTitle", 0),
		dllimports.NewEnergyImport("CefDragData_SetLinkMetadata", 0),
		dllimports.NewEnergyImport("CefDragData_SetFragmentText", 0),
		dllimports.NewEnergyImport("CefDragData_SetFragmentHtml", 0),
		dllimports.NewEnergyImport("CefDragData_SetFragmentBaseUrl", 0),
		dllimports.NewEnergyImport("CefDragData_ResetFileContents", 0),
		dllimports.NewEnergyImport("CefDragData_AddFile", 0),
		dllimports.NewEnergyImport("CefDragData_ClearFilenames", 0),
		dllimports.NewEnergyImport("CefDragData_GetImage", 0),
		dllimports.NewEnergyImport("CefDragData_GetImageHotspot", 0),
		dllimports.NewEnergyImport("CefDragData_HasImage", 0),
		// ICefFindHandler
		dllimports.NewEnergyImport("CefFindHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefFindHandler_OnFindResult", 0),
		// ICefFocusHandler
		dllimports.NewEnergyImport("CefFocusHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefFocusHandler_OnTakeFocus", 0),
		dllimports.NewEnergyImport("CefFocusHandler_OnSetFocus", 0),
		dllimports.NewEnergyImport("CefFocusHandler_OnGotFocus", 0),
		// ICefFrameHandler
		dllimports.NewEnergyImport("CefFrameHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefFrameHandler_OnFrameCreated", 0),
		dllimports.NewEnergyImport("CefFrameHandler_OnFrameAttached", 0),
		dllimports.NewEnergyImport("CefFrameHandler_OnFrameDetached", 0),
		dllimports.NewEnergyImport("CefFrameHandler_OnMainFrameChanged", 0),
		// ICefPermissionHandler
		dllimports.NewEnergyImport("CefPermissionHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefPermissionHandler_OnRequestMediaAccessPermission", 0),
		dllimports.NewEnergyImport("CefPermissionHandler_OnShowPermissionPrompt", 0),
		dllimports.NewEnergyImport("CefPermissionHandler_OnDismissPermissionPrompt", 0),
		// ICefMediaAccessCallback
		dllimports.NewEnergyImport("CefMediaAccessCallback_Cont", 0),
		dllimports.NewEnergyImport("CefMediaAccessCallback_Cancel", 0),
		// ICefPermissionPromptCallback
		dllimports.NewEnergyImport("CefPermissionPromptCallback_Cont", 0),
		// ICefJsDialogHandler
		dllimports.NewEnergyImport("CefJsDialogHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefJsDialogHandler_OnJsdialog", 0),
		dllimports.NewEnergyImport("CefJsDialogHandler_OnBeforeUnloadDialog", 0),
		dllimports.NewEnergyImport("CefJsDialogHandler_OnResetDialogState", 0),
		dllimports.NewEnergyImport("CefJsDialogHandler_OnDialogClosed", 0),
		// ICefJsDialogCallback
		dllimports.NewEnergyImport("CefJsDialogCallback_Cont", 0),
		// ICefKeyboardHandler
		dllimports.NewEnergyImport("CefKeyboardHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefKeyboardHandler_OnPreKeyEvent", 0),
		dllimports.NewEnergyImport("CefKeyboardHandler_OnKeyEvent", 0),
		// ICefLifeSpanHandler
		dllimports.NewEnergyImport("CefLifeSpanHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefLifeSpanHandler_OnBeforePopup", 0),
		dllimports.NewEnergyImport("CefLifeSpanHandler_OnAfterCreated", 0),
		dllimports.NewEnergyImport("CefLifeSpanHandler_DoClose", 0),
		dllimports.NewEnergyImport("CefLifeSpanHandler_OnBeforeClose", 0),
		// ICefLoadHandler
		dllimports.NewEnergyImport("CefLoadHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefLoadHandler_OnLoadingStateChange", 0),
		dllimports.NewEnergyImport("CefLoadHandler_OnLoadStart", 0),
		dllimports.NewEnergyImport("CefLoadHandler_OnLoadEnd", 0),
		dllimports.NewEnergyImport("CefLoadHandler_OnLoadError", 0),
		// ICefPrintHandler
		dllimports.NewEnergyImport("CefPrintHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefPrintHandler_OnPrintStart", 0),
		dllimports.NewEnergyImport("CefPrintHandler_OnPrintSettings", 0),
		dllimports.NewEnergyImport("CefPrintHandler_OnPrintDialog", 0),
		dllimports.NewEnergyImport("CefPrintHandler_OnPrintJob", 0),
		dllimports.NewEnergyImport("CefPrintHandler_OnPrintReset", 0),
		dllimports.NewEnergyImport("CefPrintHandler_GetPDFPaperSize", 0),
		//ICefPrintSettings
		dllimports.NewEnergyImport("CefPrintSettingsRef_Create", 0),
		dllimports.NewEnergyImport("CefPrintSettings_IsValid", 0),
		dllimports.NewEnergyImport("CefPrintSettings_IsReadOnly", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetOrientation", 0),
		dllimports.NewEnergyImport("CefPrintSettings_IsLandscape", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetPrinterPrintableArea", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetDeviceName", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetDeviceName", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetDpi", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetDpi", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetPageRanges", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetPageRangesCount", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetPageRanges", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetSelectionOnly", 0),
		dllimports.NewEnergyImport("CefPrintSettings_IsSelectionOnly", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetCollate", 0),
		dllimports.NewEnergyImport("CefPrintSettings_WillCollate", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetColorModel", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetColorModel", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetCopies", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetCopies", 0),
		dllimports.NewEnergyImport("CefPrintSettings_SetDuplexMode", 0),
		dllimports.NewEnergyImport("CefPrintSettings_GetDuplexMode", 0),
		// ICefPrintDialogCallback
		dllimports.NewEnergyImport("CefPrintDialogCallback_Cont", 0),
		dllimports.NewEnergyImport("CefPrintDialogCallback_Cancel", 0),
		// ICefPrintJobCallback
		dllimports.NewEnergyImport("CefPrintJobCallback_Cont", 0),
		// ICefAccessibilityHandler
		dllimports.NewEnergyImport("CefAccessibilityHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefAccessibilityHandler_OnAccessibilityTreeChange", 0),
		dllimports.NewEnergyImport("CefAccessibilityHandler_OnAccessibilityLocationChange", 0),
		// ICefCookieManager
		dllimports.NewEnergyImport("CefCookieManager_VisitAllCookies", 0),
		dllimports.NewEnergyImport("CefCookieManager_VisitUrlCookies", 0),
		dllimports.NewEnergyImport("CefCookieManager_SetCookie", 0),
		dllimports.NewEnergyImport("CefCookieManager_DeleteCookies", 0),
		dllimports.NewEnergyImport("CefCookieManager_FlushStore", 0),
		// ICefCookieVisitor
		dllimports.NewEnergyImport("CefCookieVisitorRef_Create", 0),
		dllimports.NewEnergyImport("CefCookieVisitor_OnVisit", 0),
		// ICefDeleteCookiesCallback
		dllimports.NewEnergyImport("CefDeleteCookiesCallbackRef_Create", 0),
		dllimports.NewEnergyImport("CefDeleteCookiesCallbackRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("CefDeleteCookiesCallback_OnComplete", 0),
		// ICefSetCookieCallback
		dllimports.NewEnergyImport("CefSetCookieCallbackRef_Create", 0),
		dllimports.NewEnergyImport("CefSetCookieCallbackRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("CefSetCookieCallback_OnComplete", 0),
		// ICefRequestContextHandler
		dllimports.NewEnergyImport("RequestContextHandlerRef_Create", 0),
		dllimports.NewEnergyImport("RequestContextHandlerRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("RequestContextHandler_OnRequestContextInitialized", 0),
		dllimports.NewEnergyImport("RequestContextHandler_GetResourceRequestHandler", 0),
		// ICefResourceRequestHandler
		dllimports.NewEnergyImport("ResourceRequestHandlerRef_Create", 0),
		dllimports.NewEnergyImport("ResourceRequestHandlerRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_GetCookieAccessFilter", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_OnBeforeResourceLoad", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_GetResourceHandler", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_OnResourceRedirect", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_OnResourceResponse", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_GetResourceResponseFilter", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_OnResourceLoadComplete", 0),
		dllimports.NewEnergyImport("ResourceRequestHandler_OnProtocolExecution", 0),
		// ICefCookieAccessFilter
		dllimports.NewEnergyImport("CookieAccessFilterRef_Create", 0),
		dllimports.NewEnergyImport("CookieAccessFilterRef_CreateForChromium", 0),
		dllimports.NewEnergyImport("CookieAccessFilter_CanSendCookie", 0),
		dllimports.NewEnergyImport("CookieAccessFilter_CanSaveCookie", 0),
		// ICefResourceHandler
		dllimports.NewEnergyImport("ResourceHandlerRef_Create", 0),
		dllimports.NewEnergyImport("ResourceHandler_Open", 0),
		dllimports.NewEnergyImport("ResourceHandler_GetResponseHeaders", 0),
		dllimports.NewEnergyImport("ResourceHandler_Skip", 0),
		dllimports.NewEnergyImport("ResourceHandler_Read", 0),
		dllimports.NewEnergyImport("ResourceHandler_ProcessRequest", 0),
		dllimports.NewEnergyImport("ResourceHandler_ReadResponse", 0),
		dllimports.NewEnergyImport("ResourceHandler_Cancel", 0),
		// ICefSchemeHandlerFactory
		dllimports.NewEnergyImport("SchemeHandlerFactoryRef_Create", 0),
		dllimports.NewEnergyImport("SchemeHandlerFactory_New", 0),
		// TCefSchemeRegistrarRef
		dllimports.NewEnergyImport("SchemeRegistrarRef_AddCustomScheme", 0),
		// ICefResourceReadCallback
		dllimports.NewEnergyImport("ResourceSkipCallback_Cont", 0),
		// ICefResourceSkipCallback
		dllimports.NewEnergyImport("ResourceReadCallback_Cont", 0),
		// ICefResponseFilter
		dllimports.NewEnergyImport("CefResponseFilterRef_Create", 0),
		dllimports.NewEnergyImport("CefResponseFilter_InitFilter", 0),
		dllimports.NewEnergyImport("CefResponseFilter_Filter", 0),
		dllimports.NewEnergyImport("CefResponseFilter_UnWrap", 0),
		// ICefRenderHandler
		dllimports.NewEnergyImport("CefRenderHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefRenderHandler_GetAccessibilityHandler", 0),
		dllimports.NewEnergyImport("CefRenderHandler_GetRootScreenRect", 0),
		dllimports.NewEnergyImport("CefRenderHandler_GetViewRect", 0),
		dllimports.NewEnergyImport("CefRenderHandler_GetScreenPoint", 0),
		dllimports.NewEnergyImport("CefRenderHandler_GetScreenInfo", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnPopupShow", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnPopupSize", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnPaint", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnAcceleratedPaint", 0),
		dllimports.NewEnergyImport("CefRenderHandler_GetTouchHandleSize", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnTouchHandleStateChanged", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnStartDragging", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnUpdateDragCursor", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnScrollOffsetChanged", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnIMECompositionRangeChanged", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnTextSelectionChanged", 0),
		dllimports.NewEnergyImport("CefRenderHandler_OnVirtualKeyboardRequested", 0),
		// ICefRequestHandler
		dllimports.NewEnergyImport("CefRequestHandlerRef_Create", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnBeforeBrowse", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnOpenUrlFromTab", 0),
		dllimports.NewEnergyImport("CefRequestHandler_GetResourceRequestHandler", 0),
		dllimports.NewEnergyImport("CefRequestHandler_GetAuthCredentials", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnCertificateError", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnSelectClientCertificate", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnRenderViewReady", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnRenderProcessTerminated", 0),
		dllimports.NewEnergyImport("CefRequestHandler_OnDocumentAvailableInMainFrame", 0),
		// TCefX509CertificateArray
		dllimports.NewEnergyImport("CefX509CertificateArray_Get", 0),
		// ICefX509Certificate
		dllimports.NewEnergyImport("CefX509Certificate_GetSubject", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetIssuer", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetSerialNumber", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetValidStart", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetValidExpiry", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetValidStartAsDateTime", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetValidExpiryAsDateTime", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetDerEncoded", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetPemEncoded", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetIssuerChainSize", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetDEREncodedIssuerChain", 0),
		dllimports.NewEnergyImport("CefX509Certificate_GetPEMEncodedIssuerChain", 0),
		// ICefX509CertPrincipal
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetDisplayName", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetCommonName", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetLocalityName", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetStateOrProvinceName", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetCountryName", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetStreetAddresses", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetOrganizationNames", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetOrganizationUnitNames", 0),
		dllimports.NewEnergyImport("CefX509CertPrincipal_GetDomainComponents", 0),
		// ICefSelectClientCertificateCallback
		dllimports.NewEnergyImport("CefSelectClientCertificateCallback_Select", 0),
		// ICefSslInfo
		dllimports.NewEnergyImport("CefSslInfo_GetCertStatus", 0),
		dllimports.NewEnergyImport("CefSslInfo_GetX509Certificate", 0),
		// ICefDomVisitor
		dllimports.NewEnergyImport("CefDomVisitorRef_Create", 0),
		dllimports.NewEnergyImport("CefDomVisitor_Visit", 0),
		// ICefDomDocument
		dllimports.NewEnergyImport("CefDomDocument_GetDocType", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetDocument", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetBody", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetHead", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetTitle", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetElementById", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetFocusedNode", 0),
		dllimports.NewEnergyImport("CefDomDocument_HasSelection", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetSelectionStartOffset", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetSelectionEndOffset", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetSelectionAsMarkup", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetSelectionAsText", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetBaseUrl", 0),
		dllimports.NewEnergyImport("CefDomDocument_GetCompleteUrl", 0),
		// ICefDomNode
		dllimports.NewEnergyImport("CefDomNode_GetNodeType", 0),
		dllimports.NewEnergyImport("CefDomNode_IsText", 0),
		dllimports.NewEnergyImport("CefDomNode_IsElement", 0),
		dllimports.NewEnergyImport("CefDomNode_IsEditable", 0),
		dllimports.NewEnergyImport("CefDomNode_IsFormControlElement", 0),
		dllimports.NewEnergyImport("CefDomNode_GetFormControlElementType", 0),
		dllimports.NewEnergyImport("CefDomNode_IsSame", 0),
		dllimports.NewEnergyImport("CefDomNode_GetName", 0),
		dllimports.NewEnergyImport("CefDomNode_GetValue", 0),
		dllimports.NewEnergyImport("CefDomNode_SetValue", 0),
		dllimports.NewEnergyImport("CefDomNode_GetAsMarkup", 0),
		dllimports.NewEnergyImport("CefDomNode_GetDocument", 0),
		dllimports.NewEnergyImport("CefDomNode_GetParent", 0),
		dllimports.NewEnergyImport("CefDomNode_GetPreviousSibling", 0),
		dllimports.NewEnergyImport("CefDomNode_GetNextSibling", 0),
		dllimports.NewEnergyImport("CefDomNode_HasChildren", 0),
		dllimports.NewEnergyImport("CefDomNode_GetFirstChild", 0),
		dllimports.NewEnergyImport("CefDomNode_GetLastChild", 0),
		dllimports.NewEnergyImport("CefDomNode_GetElementTagName", 0),
		dllimports.NewEnergyImport("CefDomNode_HasElementAttributes", 0),
		dllimports.NewEnergyImport("CefDomNode_HasElementAttribute", 0),
		dllimports.NewEnergyImport("CefDomNode_GetElementAttribute", 0),
		dllimports.NewEnergyImport("CefDomNode_GetElementAttributes", 0),
		dllimports.NewEnergyImport("CefDomNode_SetElementAttribute", 0),
		dllimports.NewEnergyImport("CefDomNode_GetElementInnerText", 0),
		dllimports.NewEnergyImport("CefDomNode_GetElementBounds", 0),
		// TCEFBitmapBitBuffer
		dllimports.NewEnergyImport("BitmapBitBuffer_Create", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_Free", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_UpdateSize", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_Width", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_Height", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_BufferLength", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_Empty", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_Scanline", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_ScanlineSize", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_BufferScanlineSize", 0),
		dllimports.NewEnergyImport("BitmapBitBuffer_BufferBits", 0),
		// TBufferPanel
		dllimports.NewEnergyImport("BufferPanel_Create", 0),
		dllimports.NewEnergyImport("BufferPanel_Free", 0),
		dllimports.NewEnergyImport("BufferPanel_CanFocus", 0),
		dllimports.NewEnergyImport("BufferPanel_ContainsControl", 0),
		dllimports.NewEnergyImport("BufferPanel_ControlAtPos", 0),
		dllimports.NewEnergyImport("BufferPanel_DisableAlign", 0),
		dllimports.NewEnergyImport("BufferPanel_EnableAlign", 0),
		dllimports.NewEnergyImport("BufferPanel_FindChildControl", 0),
		dllimports.NewEnergyImport("BufferPanel_FlipChildren", 0),
		dllimports.NewEnergyImport("BufferPanel_Focused", 0),
		dllimports.NewEnergyImport("BufferPanel_HandleAllocated", 0),
		dllimports.NewEnergyImport("BufferPanel_InsertControl", 0),
		dllimports.NewEnergyImport("BufferPanel_Invalidate", 0),
		dllimports.NewEnergyImport("BufferPanel_PaintTo", 0),
		dllimports.NewEnergyImport("BufferPanel_RemoveControl", 0),
		dllimports.NewEnergyImport("BufferPanel_Realign", 0),
		dllimports.NewEnergyImport("BufferPanel_Repaint", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleBy", 0),
		dllimports.NewEnergyImport("BufferPanel_ScrollBy", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBounds", 0),
		dllimports.NewEnergyImport("BufferPanel_SetFocus", 0),
		dllimports.NewEnergyImport("BufferPanel_Update", 0),
		dllimports.NewEnergyImport("BufferPanel_BringToFront", 0),
		dllimports.NewEnergyImport("BufferPanel_ClientToScreen", 0),
		dllimports.NewEnergyImport("BufferPanel_ClientToParent", 0),
		dllimports.NewEnergyImport("BufferPanel_Dragging", 0),
		dllimports.NewEnergyImport("BufferPanel_HasParent", 0),
		dllimports.NewEnergyImport("BufferPanel_Hide", 0),
		dllimports.NewEnergyImport("BufferPanel_Perform", 0),
		dllimports.NewEnergyImport("BufferPanel_Refresh", 0),
		dllimports.NewEnergyImport("BufferPanel_ScreenToClient", 0),
		dllimports.NewEnergyImport("BufferPanel_ParentToClient", 0),
		dllimports.NewEnergyImport("BufferPanel_SendToBack", 0),
		dllimports.NewEnergyImport("BufferPanel_Show", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTextBuf", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTextLen", 0),
		dllimports.NewEnergyImport("BufferPanel_SetTextBuf", 0),
		dllimports.NewEnergyImport("BufferPanel_FindComponent", 0),
		dllimports.NewEnergyImport("BufferPanel_GetNamePath", 0),
		dllimports.NewEnergyImport("BufferPanel_Assign", 0),
		dllimports.NewEnergyImport("BufferPanel_ClassType", 0),
		dllimports.NewEnergyImport("BufferPanel_ClassName", 0),
		dllimports.NewEnergyImport("BufferPanel_InstanceSize", 0),
		dllimports.NewEnergyImport("BufferPanel_InheritsFrom", 0),
		dllimports.NewEnergyImport("BufferPanel_Equals", 0),
		dllimports.NewEnergyImport("BufferPanel_GetHashCode", 0),
		dllimports.NewEnergyImport("BufferPanel_ToString", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorToNeighbour", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorParallel", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorHorizontalCenterTo", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorVerticalCenterTo", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorSame", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorAsAlign", 0),
		dllimports.NewEnergyImport("BufferPanel_AnchorClient", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleDesignToForm", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleFormToDesign", 0),
		dllimports.NewEnergyImport("BufferPanel_Scale96ToForm", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleFormTo96", 0),
		dllimports.NewEnergyImport("BufferPanel_Scale96ToFont", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleFontTo96", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleScreenToFont", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleFontToScreen", 0),
		dllimports.NewEnergyImport("BufferPanel_Scale96ToScreen", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleScreenTo96", 0),
		dllimports.NewEnergyImport("BufferPanel_AutoAdjustLayout", 0),
		dllimports.NewEnergyImport("BufferPanel_FixDesignFontsPPI", 0),
		dllimports.NewEnergyImport("BufferPanel_ScaleFontsPPI", 0),
		dllimports.NewEnergyImport("BufferPanel_GetCanvas", 0),
		dllimports.NewEnergyImport("BufferPanel_SetCanvas", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnPaint", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAlign", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAlign", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAlignment", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAlignment", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAnchors", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAnchors", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAutoSize", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAutoSize", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBevelInner", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBevelInner", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBevelOuter", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBevelOuter", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBiDiMode", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBiDiMode", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBorderWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBorderWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBorderStyle", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBorderStyle", 0),
		dllimports.NewEnergyImport("BufferPanel_GetCaption", 0),
		dllimports.NewEnergyImport("BufferPanel_SetCaption", 0),
		dllimports.NewEnergyImport("BufferPanel_GetColor", 0),
		dllimports.NewEnergyImport("BufferPanel_SetColor", 0),
		dllimports.NewEnergyImport("BufferPanel_GetConstraints", 0),
		dllimports.NewEnergyImport("BufferPanel_SetConstraints", 0),
		dllimports.NewEnergyImport("BufferPanel_GetUseDockManager", 0),
		dllimports.NewEnergyImport("BufferPanel_SetUseDockManager", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDockSite", 0),
		dllimports.NewEnergyImport("BufferPanel_SetDockSite", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDoubleBuffered", 0),
		dllimports.NewEnergyImport("BufferPanel_SetDoubleBuffered", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDragCursor", 0),
		dllimports.NewEnergyImport("BufferPanel_SetDragCursor", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDragKind", 0),
		dllimports.NewEnergyImport("BufferPanel_SetDragKind", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDragMode", 0),
		dllimports.NewEnergyImport("BufferPanel_SetDragMode", 0),
		dllimports.NewEnergyImport("BufferPanel_GetEnabled", 0),
		dllimports.NewEnergyImport("BufferPanel_SetEnabled", 0),
		dllimports.NewEnergyImport("BufferPanel_GetFullRepaint", 0),
		dllimports.NewEnergyImport("BufferPanel_SetFullRepaint", 0),
		dllimports.NewEnergyImport("BufferPanel_GetFont", 0),
		dllimports.NewEnergyImport("BufferPanel_SetFont", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParentBackground", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParentBackground", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParentColor", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParentColor", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParentDoubleBuffered", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParentDoubleBuffered", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParentFont", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParentFont", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParentShowHint", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParentShowHint", 0),
		dllimports.NewEnergyImport("BufferPanel_GetPopupMenu", 0),
		dllimports.NewEnergyImport("BufferPanel_SetPopupMenu", 0),
		dllimports.NewEnergyImport("BufferPanel_GetShowHint", 0),
		dllimports.NewEnergyImport("BufferPanel_SetShowHint", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTabOrder", 0),
		dllimports.NewEnergyImport("BufferPanel_SetTabOrder", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTabStop", 0),
		dllimports.NewEnergyImport("BufferPanel_SetTabStop", 0),
		dllimports.NewEnergyImport("BufferPanel_GetVisible", 0),
		dllimports.NewEnergyImport("BufferPanel_SetVisible", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnAlignPosition", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnClick", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnContextPopup", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnDockDrop", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnDblClick", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnDragDrop", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnDragOver", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnEndDock", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnEndDrag", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnEnter", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnExit", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnGetSiteInfo", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnMouseDown", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnMouseEnter", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnMouseLeave", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnMouseMove", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnMouseUp", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnResize", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnStartDock", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnUnDock", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDockClientCount", 0),
		dllimports.NewEnergyImport("BufferPanel_GetMouseInClient", 0),
		dllimports.NewEnergyImport("BufferPanel_GetVisibleDockClientCount", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBrush", 0),
		dllimports.NewEnergyImport("BufferPanel_GetControlCount", 0),
		dllimports.NewEnergyImport("BufferPanel_GetHandle", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParentWindow", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParentWindow", 0),
		dllimports.NewEnergyImport("BufferPanel_GetShowing", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAction", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAction", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBoundsRect", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBoundsRect", 0),
		dllimports.NewEnergyImport("BufferPanel_GetClientHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_SetClientHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_GetClientOrigin", 0),
		dllimports.NewEnergyImport("BufferPanel_GetClientRect", 0),
		dllimports.NewEnergyImport("BufferPanel_GetClientWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_SetClientWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_GetControlState", 0),
		dllimports.NewEnergyImport("BufferPanel_SetControlState", 0),
		dllimports.NewEnergyImport("BufferPanel_GetControlStyle", 0),
		dllimports.NewEnergyImport("BufferPanel_SetControlStyle", 0),
		dllimports.NewEnergyImport("BufferPanel_GetFloating", 0),
		dllimports.NewEnergyImport("BufferPanel_GetParent", 0),
		dllimports.NewEnergyImport("BufferPanel_SetParent", 0),
		dllimports.NewEnergyImport("BufferPanel_GetLeft", 0),
		dllimports.NewEnergyImport("BufferPanel_SetLeft", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTop", 0),
		dllimports.NewEnergyImport("BufferPanel_SetTop", 0),
		dllimports.NewEnergyImport("BufferPanel_GetWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_SetWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_GetHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_SetHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_GetCursor", 0),
		dllimports.NewEnergyImport("BufferPanel_SetCursor", 0),
		dllimports.NewEnergyImport("BufferPanel_GetHint", 0),
		dllimports.NewEnergyImport("BufferPanel_SetHint", 0),
		dllimports.NewEnergyImport("BufferPanel_GetComponentCount", 0),
		dllimports.NewEnergyImport("BufferPanel_GetComponentIndex", 0),
		dllimports.NewEnergyImport("BufferPanel_SetComponentIndex", 0),
		dllimports.NewEnergyImport("BufferPanel_GetOwner", 0),
		dllimports.NewEnergyImport("BufferPanel_GetName", 0),
		dllimports.NewEnergyImport("BufferPanel_SetName", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTag", 0),
		dllimports.NewEnergyImport("BufferPanel_SetTag", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAnchorSideLeft", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAnchorSideLeft", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAnchorSideTop", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAnchorSideTop", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAnchorSideRight", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAnchorSideRight", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAnchorSideBottom", 0),
		dllimports.NewEnergyImport("BufferPanel_SetAnchorSideBottom", 0),
		dllimports.NewEnergyImport("BufferPanel_GetChildSizing", 0),
		dllimports.NewEnergyImport("BufferPanel_SetChildSizing", 0),
		dllimports.NewEnergyImport("BufferPanel_GetBorderSpacing", 0),
		dllimports.NewEnergyImport("BufferPanel_SetBorderSpacing", 0),
		dllimports.NewEnergyImport("BufferPanel_GetDockClients", 0),
		dllimports.NewEnergyImport("BufferPanel_GetControls", 0),
		dllimports.NewEnergyImport("BufferPanel_GetComponents", 0),
		dllimports.NewEnergyImport("BufferPanel_GetAnchorSide", 0),
		dllimports.NewEnergyImport("BufferPanel_StaticClassType", 0),
		dllimports.NewEnergyImport("BufferPanel_GetTransparent", 0),
		dllimports.NewEnergyImport("BufferPanel_SetTransparent", 0),
		dllimports.NewEnergyImport("BufferPanel_SaveToFile", 0),
		dllimports.NewEnergyImport("BufferPanel_InvalidatePanel", 0),
		dllimports.NewEnergyImport("BufferPanel_BeginBufferDraw", 0),
		dllimports.NewEnergyImport("BufferPanel_EndBufferDraw", 0),
		dllimports.NewEnergyImport("BufferPanel_BufferDrawPoint", 0),
		dllimports.NewEnergyImport("BufferPanel_BufferDrawRect", 0),
		dllimports.NewEnergyImport("BufferPanel_UpdateBufferDimensions", 0),
		dllimports.NewEnergyImport("BufferPanel_UpdateOrigBufferDimensions", 0),
		dllimports.NewEnergyImport("BufferPanel_UpdateOrigPopupBufferDimensions", 0),
		dllimports.NewEnergyImport("BufferPanel_UpdateDeviceScaleFactor", 0),
		dllimports.NewEnergyImport("BufferPanel_BufferIsResized", 0),
		dllimports.NewEnergyImport("BufferPanel_CreateIMEHandler", 0),
		dllimports.NewEnergyImport("BufferPanel_ChangeCompositionRange", 0),
		dllimports.NewEnergyImport("BufferPanel_DrawOrigPopupBuffer", 0),
		dllimports.NewEnergyImport("BufferPanel_ScanlineSize", 0),
		dllimports.NewEnergyImport("BufferPanel_BufferWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_BufferHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_BufferBits", 0),
		dllimports.NewEnergyImport("BufferPanel_ScreenScale", 0),
		dllimports.NewEnergyImport("BufferPanel_GetForcedDeviceScaleFactor", 0),
		dllimports.NewEnergyImport("BufferPanel_SetForcedDeviceScaleFactor", 0),
		dllimports.NewEnergyImport("BufferPanel_GetMustInitBuffer", 0),
		dllimports.NewEnergyImport("BufferPanel_SetMustInitBuffer", 0),
		dllimports.NewEnergyImport("BufferPanel_Buffer", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigBuffer", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigBufferWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigBufferHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigPopupBuffer", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigPopupBufferWidth", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigPopupBufferHeight", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigPopupBufferBits", 0),
		dllimports.NewEnergyImport("BufferPanel_OrigPopupScanlineSize", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnIMECancelComposition", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnIMECommitText", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnIMESetComposition", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnCustomTouch", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnPointerDown", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnPointerUp", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnPointerUpdate", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnPaintParentBkg", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnMouseWheel", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnKeyDown", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnKeyUp", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnKeyPress", 0),
		dllimports.NewEnergyImport("BufferPanel_SetOnUTF8KeyPress", 0),
		// TString
		dllimports.NewEnergyImport("TString_Create", 0),
		dllimports.NewEnergyImport("TString_Free", 0),
		dllimports.NewEnergyImport("TString_SetValue", 0),
		dllimports.NewEnergyImport("TString_GetValue", 0),
		// ICefRunFileDialogCallback
		dllimports.NewEnergyImport("RunFileDialogCallbackRef_Create", 0),
		dllimports.NewEnergyImport("RunFileDialogCallback_OnFileDialogDismissed", 0),
		// ICefDownloadImageCallback
		dllimports.NewEnergyImport("DownloadImageCallbackRef_Create", 0),
		dllimports.NewEnergyImport("DownloadImageCallback_OnDownloadImageFinished", 0),
		// CustomWidgetInterface for Linux
		dllimports.NewEnergyImport("Interface_CustomWidgetSetInitialization", 0),
		dllimports.NewEnergyImport("Interface_CustomWidgetSetFinalization", 0),
		// ICefView
		dllimports.NewEnergyImport("View_AsBrowserView", 0),
		dllimports.NewEnergyImport("View_AsButton", 0),
		dllimports.NewEnergyImport("View_AsPanel", 0),
		dllimports.NewEnergyImport("View_AsScrollView", 0),
		dllimports.NewEnergyImport("View_AsTextfield", 0),
		dllimports.NewEnergyImport("View_GetTypeString", 0),
		dllimports.NewEnergyImport("View_ToStringEx", 0),
		dllimports.NewEnergyImport("View_IsValid", 0),
		dllimports.NewEnergyImport("View_IsAttached", 0),
		dllimports.NewEnergyImport("View_IsSame", 0),
		dllimports.NewEnergyImport("View_GetDelegate", 0),
		dllimports.NewEnergyImport("View_GetWindow", 0),
		dllimports.NewEnergyImport("View_GetID", 0),
		dllimports.NewEnergyImport("View_SetID", 0),
		dllimports.NewEnergyImport("View_GetGroupID", 0),
		dllimports.NewEnergyImport("View_SetGroupID", 0),
		dllimports.NewEnergyImport("View_GetParentView", 0),
		dllimports.NewEnergyImport("View_GetViewForID", 0),
		dllimports.NewEnergyImport("View_SetBounds", 0),
		dllimports.NewEnergyImport("View_GetBounds", 0),
		dllimports.NewEnergyImport("View_GetBoundsInScreen", 0),
		dllimports.NewEnergyImport("View_SetSize", 0),
		dllimports.NewEnergyImport("View_GetSize", 0),
		dllimports.NewEnergyImport("View_SetPosition", 0),
		dllimports.NewEnergyImport("View_GetPosition", 0),
		dllimports.NewEnergyImport("View_SetInsets", 0),
		dllimports.NewEnergyImport("View_GetInsets", 0),
		dllimports.NewEnergyImport("View_GetPreferredSize", 0),
		dllimports.NewEnergyImport("View_SizeToPreferredSize", 0),
		dllimports.NewEnergyImport("View_GetMinimumSize", 0),
		dllimports.NewEnergyImport("View_GetMaximumSize", 0),
		dllimports.NewEnergyImport("View_GetHeightForWidth", 0),
		dllimports.NewEnergyImport("View_InvalidateLayout", 0),
		dllimports.NewEnergyImport("View_SetVisible", 0),
		dllimports.NewEnergyImport("View_IsVisible", 0),
		dllimports.NewEnergyImport("View_IsDrawn", 0),
		dllimports.NewEnergyImport("View_SetEnabled", 0),
		dllimports.NewEnergyImport("View_IsEnabled", 0),
		dllimports.NewEnergyImport("View_SetFocusable", 0),
		dllimports.NewEnergyImport("View_IsFocusable", 0),
		dllimports.NewEnergyImport("View_IsAccessibilityFocusable", 0),
		dllimports.NewEnergyImport("View_RequestFocus", 0),
		dllimports.NewEnergyImport("View_SetBackgroundColor", 0),
		dllimports.NewEnergyImport("View_GetBackgroundColor", 0),
		dllimports.NewEnergyImport("View_ConvertPointToScreen", 0),
		dllimports.NewEnergyImport("View_ConvertPointFromScreen", 0),
		dllimports.NewEnergyImport("View_ConvertPointToWindow", 0),
		dllimports.NewEnergyImport("View_ConvertPointFromWindow", 0),
		dllimports.NewEnergyImport("View_ConvertPointToView", 0),
		dllimports.NewEnergyImport("View_ConvertPointFromView", 0),
		// TCEFViewComponent
		dllimports.NewEnergyImport("ViewComponent_Create", 0),
		dllimports.NewEnergyImport("ViewComponent_Free", 0),
		dllimports.NewEnergyImport("ViewComponent_ToStringEx", 0),
		dllimports.NewEnergyImport("ViewComponent_IsSame", 0),
		dllimports.NewEnergyImport("ViewComponent_SizeToPreferredSize", 0),
		dllimports.NewEnergyImport("ViewComponent_InvalidateLayout", 0),
		dllimports.NewEnergyImport("ViewComponent_RequestFocus", 0),
		dllimports.NewEnergyImport("ViewComponent_ConvertPointToScreen", 0),
		dllimports.NewEnergyImport("ViewComponent_ConvertPointFromScreen", 0),
		dllimports.NewEnergyImport("ViewComponent_ConvertPointToWindow", 0),
		dllimports.NewEnergyImport("ViewComponent_ConvertPointFromWindow", 0),
		dllimports.NewEnergyImport("ViewComponent_ConvertPointToView", 0),
		dllimports.NewEnergyImport("ViewComponent_ConvertPointFromView", 0),
		dllimports.NewEnergyImport("ViewComponent_GetInitialized", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAsView", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAsBrowserView", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAsButton", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAsPanel", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAsScrollView", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAsTextfield", 0),
		dllimports.NewEnergyImport("ViewComponent_GetViewForID", 0),
		dllimports.NewEnergyImport("ViewComponent_GetValid", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAttached", 0),
		dllimports.NewEnergyImport("ViewComponent_GetDelegate", 0),
		dllimports.NewEnergyImport("ViewComponent_GetWindow", 0),
		dllimports.NewEnergyImport("ViewComponent_GetParentView", 0),
		dllimports.NewEnergyImport("ViewComponent_GetBoundsInScreen", 0),
		dllimports.NewEnergyImport("ViewComponent_GetPreferredSize", 0),
		dllimports.NewEnergyImport("ViewComponent_GetMinimumSize", 0),
		dllimports.NewEnergyImport("ViewComponent_GetMaximumSize", 0),
		dllimports.NewEnergyImport("ViewComponent_GetVisible", 0),
		dllimports.NewEnergyImport("ViewComponent_SetVisible", 0),
		dllimports.NewEnergyImport("ViewComponent_GetDrawn", 0),
		dllimports.NewEnergyImport("ViewComponent_GetEnabled", 0),
		dllimports.NewEnergyImport("ViewComponent_SetEnabled", 0),
		dllimports.NewEnergyImport("ViewComponent_GetFocusable", 0),
		dllimports.NewEnergyImport("ViewComponent_SetFocusable", 0),
		dllimports.NewEnergyImport("ViewComponent_GetAccessibilityFocusable", 0),
		dllimports.NewEnergyImport("ViewComponent_GetBackgroundColor", 0),
		dllimports.NewEnergyImport("ViewComponent_SetBackgroundColor", 0),
		dllimports.NewEnergyImport("ViewComponent_GetID", 0),
		dllimports.NewEnergyImport("ViewComponent_SetID", 0),
		dllimports.NewEnergyImport("ViewComponent_GetGroupID", 0),
		dllimports.NewEnergyImport("ViewComponent_SetGroupID", 0),
		dllimports.NewEnergyImport("ViewComponent_GetBounds", 0),
		dllimports.NewEnergyImport("ViewComponent_SetBounds", 0),
		dllimports.NewEnergyImport("ViewComponent_GetSize", 0),
		dllimports.NewEnergyImport("ViewComponent_SetSize", 0),
		dllimports.NewEnergyImport("ViewComponent_GetPosition", 0),
		dllimports.NewEnergyImport("ViewComponent_SetPosition", 0),
		dllimports.NewEnergyImport("ViewComponent_GetTypeString", 0),
		dllimports.NewEnergyImport("ViewComponent_GetHeightForWidth", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnGetPreferredSize", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnGetMinimumSize", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnGetMaximumSize", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnGetHeightForWidth", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnParentViewChanged", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnChildViewChanged", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnWindowChanged", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnLayoutChanged", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnFocus", 0),
		dllimports.NewEnergyImport("ViewComponent_SetOnBlur", 0),
		// TCEFButtonComponent
		dllimports.NewEnergyImport("ButtonComponent_Create", 0),
		dllimports.NewEnergyImport("ButtonComponent_SetInkDropEnabled", 0),
		dllimports.NewEnergyImport("ButtonComponent_SetTooltipText", 0),
		dllimports.NewEnergyImport("ButtonComponent_SetAccessibleName", 0),
		dllimports.NewEnergyImport("ButtonComponent_AsLabelButton", 0),
		dllimports.NewEnergyImport("ButtonComponent_GetState", 0),
		dllimports.NewEnergyImport("ButtonComponent_SetState", 0),
		dllimports.NewEnergyImport("ButtonComponent_SetOnButtonPressed", 0),
		dllimports.NewEnergyImport("ButtonComponent_SetOnButtonStateChanged", 0),
		// ICefViewDelegate
		dllimports.NewEnergyImport("ViewDelegateRef_Create", 0),
		dllimports.NewEnergyImport("ViewDelegateRef_CreateForCustom", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnGetPreferredSize", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnGetMinimumSize", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnGetMaximumSize", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnGetHeightForWidth", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnParentViewChanged", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnChildViewChanged", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnWindowChanged", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnLayoutChanged", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnFocus", 0),
		dllimports.NewEnergyImport("ViewDelegate_SetOnBlur", 0),
		// ICefBrowserViewDelegate
		dllimports.NewEnergyImport("BrowserViewDelegateRef_Create", 0),
		dllimports.NewEnergyImport("BrowserViewDelegateRef_CreateForCustom", 0),
		dllimports.NewEnergyImport("BrowserViewDelegate_SetOnBrowserCreated", 0),
		dllimports.NewEnergyImport("BrowserViewDelegate_SetOnBrowserDestroyed", 0),
		dllimports.NewEnergyImport("BrowserViewDelegate_SetOnGetDelegateForPopupBrowserView", 0),
		dllimports.NewEnergyImport("BrowserViewDelegate_SetOnPopupBrowserViewCreated", 0),
		dllimports.NewEnergyImport("BrowserViewDelegate_GetChromeToolbarType", 0),
		// ICefButton
		dllimports.NewEnergyImport("Button_AsLabelButton", 0),
		dllimports.NewEnergyImport("Button_SetState", 0),
		dllimports.NewEnergyImport("Button_GetState", 0),
		dllimports.NewEnergyImport("Button_SetInkDropEnabled", 0),
		dllimports.NewEnergyImport("Button_SetTooltipText", 0),
		dllimports.NewEnergyImport("Button_SetAccessibleName", 0),
		// ICefButtonDelegate
		dllimports.NewEnergyImport("ButtonDelegateRef_Create", 0),
		dllimports.NewEnergyImport("ButtonDelegateRef_CreateForCustom", 0),
		dllimports.NewEnergyImport("ButtonDelegate_SetOnButtonPressed", 0),
		dllimports.NewEnergyImport("ButtonDelegate_SetOnButtonStateChanged", 0),
		// ICefLabelButton
		dllimports.NewEnergyImport("LabelButtonRef_CreateLabelButton", 0),
		dllimports.NewEnergyImport("LabelButton_AsMenuButton", 0),
		dllimports.NewEnergyImport("LabelButton_SetText", 0),
		dllimports.NewEnergyImport("LabelButton_GetText", 0),
		dllimports.NewEnergyImport("LabelButton_SetImage", 0),
		dllimports.NewEnergyImport("LabelButton_GetImage", 0),
		dllimports.NewEnergyImport("LabelButton_SetTextColor", 0),
		dllimports.NewEnergyImport("LabelButton_SetEnabledTextColors", 0),
		dllimports.NewEnergyImport("LabelButton_SetFontList", 0),
		dllimports.NewEnergyImport("LabelButton_SetHorizontalAlignment", 0),
		dllimports.NewEnergyImport("LabelButton_SetMinimumSize", 0),
		dllimports.NewEnergyImport("LabelButton_SetMaximumSize", 0),
		// TCEFLabelButtonComponent
		dllimports.NewEnergyImport("LabelButtonComponent_Create", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_CreateLabelButton", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetTextColor", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetEnabledTextColors", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetFontList", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetHorizontalAlignment", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetMinimumSize", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetMaximumSize", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_GetText", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetText", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_GetImage", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_SetImage", 0),
		dllimports.NewEnergyImport("LabelButtonComponent_AsMenuButton", 0),
		// ICefMenuButton
		dllimports.NewEnergyImport("MenuButtonRef_New", 0),
		dllimports.NewEnergyImport("MenuButton_ShowMenu", 0),
		dllimports.NewEnergyImport("MenuButton_TriggerMenu", 0),
		// ICefMenuButtonDelegate
		dllimports.NewEnergyImport("MenuButtonDelegateRef_Create", 0),
		dllimports.NewEnergyImport("MenuButtonDelegateRef_CreateForCustom", 0),
		dllimports.NewEnergyImport("MenuButtonDelegate_SetOnMenuButtonPressed", 0),
		//TCEFMenuButtonComponent
		dllimports.NewEnergyImport("MenuButtonComponent_Create", 0),
		dllimports.NewEnergyImport("MenuButtonComponent_CreateMenuButton", 0),
		dllimports.NewEnergyImport("MenuButtonComponent_ShowMenu", 0),
		dllimports.NewEnergyImport("MenuButtonComponent_TriggerMenu", 0),
		dllimports.NewEnergyImport("MenuButtonComponent_SetOnMenuButtonPressed", 0),
		// ICefPanel
		dllimports.NewEnergyImport("CEFPanelRef_New", 0),
		dllimports.NewEnergyImport("CEFPanel_GetAsWindow", 0),
		dllimports.NewEnergyImport("CEFPanel_SetToFillLayout", 0),
		dllimports.NewEnergyImport("CEFPanel_SetToBoxLayout", 0),
		dllimports.NewEnergyImport("CEFPanel_GetLayout", 0),
		dllimports.NewEnergyImport("CEFPanel_Layout", 0),
		dllimports.NewEnergyImport("CEFPanel_AddChildView", 0),
		dllimports.NewEnergyImport("CEFPanel_AddChildViewAt", 0),
		dllimports.NewEnergyImport("CEFPanel_ReorderChildView", 0),
		dllimports.NewEnergyImport("CEFPanel_RemoveChildView", 0),
		dllimports.NewEnergyImport("CEFPanel_RemoveAllChildViews", 0),
		dllimports.NewEnergyImport("CEFPanel_GetChildViewCount", 0),
		dllimports.NewEnergyImport("CEFPanel_GetChildViewAt", 0),
		// ICefPanelDelegate
		dllimports.NewEnergyImport("PanelDelegateRef_Create", 0),
		dllimports.NewEnergyImport("PanelDelegateRef_CreateForCustom", 0),
		// TCEFPanelComponent
		dllimports.NewEnergyImport("PanelComponent_Create", 0),
		dllimports.NewEnergyImport("PanelComponent_CreatePanel", 0),
		dllimports.NewEnergyImport("PanelComponent_SetToFillLayout", 0),
		dllimports.NewEnergyImport("PanelComponent_SetToBoxLayout", 0),
		dllimports.NewEnergyImport("PanelComponent_GetLayout", 0),
		dllimports.NewEnergyImport("PanelComponent_Layout", 0),
		dllimports.NewEnergyImport("PanelComponent_AddChildView", 0),
		dllimports.NewEnergyImport("PanelComponent_AddChildViewAt", 0),
		dllimports.NewEnergyImport("PanelComponent_ReorderChildView", 0),
		dllimports.NewEnergyImport("PanelComponent_RemoveChildView", 0),
		dllimports.NewEnergyImport("PanelComponent_RemoveAllChildViews", 0),
		dllimports.NewEnergyImport("PanelComponent_GetChildViewCount", 0),
		dllimports.NewEnergyImport("PanelComponent_GetChildViewAt", 0),
		dllimports.NewEnergyImport("PanelComponent_AsWindow", 0),
		// ICefScrollView
		dllimports.NewEnergyImport("ScrollViewRef_NewCreateScrollView", 0),
		dllimports.NewEnergyImport("ScrollView_SetContentView", 0),
		dllimports.NewEnergyImport("ScrollView_GetContentView", 0),
		dllimports.NewEnergyImport("ScrollView_GetVisibleContentRect", 0),
		dllimports.NewEnergyImport("ScrollView_HasHorizontalScrollbar", 0),
		dllimports.NewEnergyImport("ScrollView_GetHorizontalScrollbarHeight", 0),
		dllimports.NewEnergyImport("ScrollView_HasVerticalScrollbar", 0),
		dllimports.NewEnergyImport("ScrollView_GetVerticalScrollbarWidth", 0),
		// TCEFScrollViewComponent
		dllimports.NewEnergyImport("ScrollViewComponent_Create", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_CreateScrollView", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_GetContentView", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_SetContentView", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_VisibleContentRect", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_HorizontalScrollbarHeight", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_VerticalScrollbarWidth", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_HasHorizontalScrollbar", 0),
		dllimports.NewEnergyImport("ScrollViewComponent_HasVerticalScrollbar", 0),
		// ICefTextfield
		dllimports.NewEnergyImport("TextfieldRef_CreateTextField", 0),
		dllimports.NewEnergyImport("Textfield_SetPasswordInput", 0),
		dllimports.NewEnergyImport("Textfield_IsPasswordInput", 0),
		dllimports.NewEnergyImport("Textfield_SetReadOnly", 0),
		dllimports.NewEnergyImport("Textfield_IsReadOnly", 0),
		dllimports.NewEnergyImport("Textfield_GetText", 0),
		dllimports.NewEnergyImport("Textfield_SetText", 0),
		dllimports.NewEnergyImport("Textfield_AppendText", 0),
		dllimports.NewEnergyImport("Textfield_InsertOrReplaceText", 0),
		dllimports.NewEnergyImport("Textfield_HasSelection", 0),
		dllimports.NewEnergyImport("Textfield_GetSelectedText", 0),
		dllimports.NewEnergyImport("Textfield_SelectAll", 0),
		dllimports.NewEnergyImport("Textfield_ClearSelection", 0),
		dllimports.NewEnergyImport("Textfield_GetSelectedRange", 0),
		dllimports.NewEnergyImport("Textfield_SelectRange", 0),
		dllimports.NewEnergyImport("Textfield_GetCursorPosition", 0),
		dllimports.NewEnergyImport("Textfield_SetTextColor", 0),
		dllimports.NewEnergyImport("Textfield_GetTextColor", 0),
		dllimports.NewEnergyImport("Textfield_SetSelectionTextColor", 0),
		dllimports.NewEnergyImport("Textfield_GetSelectionTextColor", 0),
		dllimports.NewEnergyImport("Textfield_SetSelectionBackgroundColor", 0),
		dllimports.NewEnergyImport("Textfield_GetSelectionBackgroundColor", 0),
		dllimports.NewEnergyImport("Textfield_SetFontList", 0),
		dllimports.NewEnergyImport("Textfield_ApplyTextColor", 0),
		dllimports.NewEnergyImport("Textfield_ApplyTextStyle", 0),
		dllimports.NewEnergyImport("Textfield_IsCommandEnabled", 0),
		dllimports.NewEnergyImport("Textfield_ExecuteCommand", 0),
		dllimports.NewEnergyImport("Textfield_ClearEditHistory", 0),
		dllimports.NewEnergyImport("Textfield_SetPlaceholderText", 0),
		dllimports.NewEnergyImport("Textfield_GetPlaceholderText", 0),
		dllimports.NewEnergyImport("Textfield_SetPlaceholderTextColor", 0),
		dllimports.NewEnergyImport("Textfield_SetAccessibleName", 0),
		// TCEFTextFieldComponent
		dllimports.NewEnergyImport("TextfieldComponent_Create", 0),
		dllimports.NewEnergyImport("TextfieldComponent_CreateTextField", 0),
		dllimports.NewEnergyImport("TextfieldComponent_AppendText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_InsertOrReplaceText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SelectAll", 0),
		dllimports.NewEnergyImport("TextfieldComponent_ClearSelection", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SelectRange", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetFontList", 0),
		dllimports.NewEnergyImport("TextfieldComponent_ApplyTextColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_ApplyTextStyle", 0),
		dllimports.NewEnergyImport("TextfieldComponent_IsCommandEnabled", 0),
		dllimports.NewEnergyImport("TextfieldComponent_ExecuteCommand", 0),
		dllimports.NewEnergyImport("TextfieldComponent_ClearEditHistory", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetAccessibleName", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetPlaceholderTextColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_IsPasswordInput", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetPasswordInput", 0),
		dllimports.NewEnergyImport("TextfieldComponent_IsReadOnly", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetReadOnly", 0),
		dllimports.NewEnergyImport("TextfieldComponent_GetText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_GetSelectedText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_GetTextColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetTextColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_GetSelectionTextColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetSelectionTextColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_GetSelectionBackgroundColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetSelectionBackgroundColor", 0),
		dllimports.NewEnergyImport("TextfieldComponent_GetPlaceholderText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetPlaceholderText", 0),
		dllimports.NewEnergyImport("TextfieldComponent_HasSelection", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetOnTextfieldKeyEvent", 0),
		dllimports.NewEnergyImport("TextfieldComponent_SetOnAfterUserAction", 0),
		// ICefTextFieldDelegate
		dllimports.NewEnergyImport("TextfieldDelegate_Create", 0),
		dllimports.NewEnergyImport("TextfieldDelegate_CreateForCustom", 0),
		dllimports.NewEnergyImport("TextfieldDelegate_SetOnKeyEvent", 0),
		dllimports.NewEnergyImport("TextfieldDelegate_SetOnAfterUserAction", 0),
	} //end
	imports.SetEnergyImportDefs(energyImportDefs)
}
